------------------------------------------------------------------------------------------
-- FCT file
-- Written by Homeopatix
-- 26 january 2021
------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------
-- Initialize datas
------------------------------------------------------------------------------------------
ButtonEquipItem = {};
centerEquipItem = {};
centerEquipItem2a = {};
centerEquipItem2 = {};
centerEquipItem3 = {};
centerEquipItem4 = {};
centerEquipItem5 = {};
centerEquipItem6 = {};
centerEquipItem2a = {};
centerEquipItem2ab = {};
ButtonPlusSexe = {};
centerLabelSexe = {};
centerEquipItem9 = {};
centerEquipItem19 = {};
centerLabelProf1 = {};
centerLabelProfIcon = {};
centerLabelTier1 = {};
centerLabelTier2 = {};
ButtonPlusLab = {};
------------------------------------------------------------------------------------------
-- Utility functions
------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------
-- Random function
------------------------------------------------------------------------------------------
local u = 0;
function Random(x, y)
    u = u + 1;
    if(x ~= nil and y ~= nil) then
        return math.floor(x +(math.random(math.randomseed(Turbine.Engine.GetLocalTime()+u))*999999 %y));
    else
        return math.floor((math.random(math.randomseed(Turbine.Engine.GetLocalTime()+u))*100));
    end
end
------------------------------------------------------------------------------------------
-- function to round a value --
------------------------------------------------------------------------------------------
function Round(valeur)

	valeur = tonumber(valeur);
	if(valeur ~= nil)then
		local floor = math.floor(valeur);
		local ceiling = math.ceil(valeur);
		if ((valeur - floor) >= 0.5) then
			return ceiling;
		end
		return floor;
	else
		return valeur;
	end
end
------------------------------------------------------------------------------------------
-- set pourcentage
-- Formula and data used from: http://lotro-wiki.com/index.php/rating_to_percentage_formula
-- Huge thanks to Giseldah for figuring this out and sharing    
------------------------------------------------------------------------------------------
function get_percentage(Attribute,R,L,PenName,PenFactor, namePlayerToShow)
    local SName = Attribute;
    local Capped = 0;
    
    if SName == "PhyMit" or SName == "TacMit" then -- is dependant on armour type
        if PlayerDatas[namePlayerToShow].cla == 185 or PlayerDatas[namePlayerToShow].cla == 31 or PlayerDatas[namePlayerToShow].cla == 193 then
            SName = SName.."L";
        elseif PlayerDatas[namePlayerToShow].cla == 40 or PlayerDatas[namePlayerToShow].cla == 162 or PlayerDatas[namePlayerToShow].cla == 194 then
            SName = SName.."M";
        elseif PlayerDatas[namePlayerToShow].cla == 214 or PlayerDatas[namePlayerToShow].cla == 24 or PlayerDatas[namePlayerToShow].cla == 172 or PlayerDatas[namePlayerToShow].cla == 23 then
            SName = SName.."H";
        end
    end

    local P = CalcStat(SName.."PRatP",L,R) + 0.0002 + CalcStat(SName.."PBonus",L);
    local Rcap = CalcStat(SName.."PRatPCapR",L);
  
    if PenName == nil then
      if R >= Rcap then
        Capped = 1;
      end
    else
      local PenValue;
      PenValue = CalcStat("TPen"..PenName,L,3);
      if PenFactor ~= nil then PenValue = PenValue * PenFactor; end
      if R + PenValue >= Rcap then
        Capped = 4;
      else
        PenValue = CalcStat("TPen"..PenName,L,2);
        if PenFactor ~= nil then PenValue = PenValue * PenFactor; end
        if R + PenValue >= Rcap then
          Capped = 3;
        else
          PenValue = CalcStat("T2Pen"..PenName,L);
          if PenFactor ~= nil then PenValue = PenValue * PenFactor; end
          if R + PenValue >= Rcap then
            Capped = 2;
          elseif R >= Rcap then
              Capped = 1;
          end
        end
      end
    end
    
    return rating_string(R, P, Attribute), Capped;
end
------------------------------------------------------------------------------------------
-- return rating
-- String format for Rating and percentage 1234 (25.1%)
------------------------------------------------------------------------------------------
function rating_string(r,p,a) 
    r = comma_value(math.floor(r+0.5));
    if a == "PartBlock" or a == "PartParry" or a == "PartEvade" then return (string.format("%.1f", p) .. "%"); end
    return (r .. " (" .. string.format("%.1f", p) .. "%)");
end
------------------------------------------------------------------------------------------
-- return comma separator for millier --
------------------------------------------------------------------------------------------
function comma_value(n) -- credit http://richard.warburton.it
    if(n ~= nil)then
		local left,num,right = string.match(n,'^([^%d]*%d)(%d*)(.-)$')
		return left..(num:reverse():gsub('(%d%d%d)','%1,'):reverse())..right
	else
		return n;
	end
end
------------------------------------------------------------------------------------------
-- split strings function
------------------------------------------------------------------------------------------
function Split(s, delimiter)
    result = {};
    for match in (s..delimiter):gmatch("(.-)"..delimiter) do
        table.insert(result, match);
    end
    return result;
end
------------------------------------------------------------------------------------------
-- return table lenght
------------------------------------------------------------------------------------------
function tablelength(T)
  local count = 0
  for _ in pairs(T) do count = count + 1 end
  return count
end
------------------------------------------------------------------------------------------
-- Windows functions
------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------
-- set the burthday button
------------------------------------------------------------------------------------------
function Birthday()
	local cDate = Turbine.Engine.GetDate();
	local cDay = cDate.Day;
	local cMonth = cDate.Month;
	local cYear = cDate.Year;

	-- debug
	--cDay = 22;
	--cMonth = 9;
	-----------

	if(cDay == 23 and cMonth == 5)then
		DisplayBirthday(cDay, cMonth, cYear);
	elseif(cDay == 22 and cMonth == 9)then
		DisplayBirthday(cDay, cMonth, cYear);
	end
end
------------------------------------------------------------------------------------------
-- display the birthday window
------------------------------------------------------------------------------------------
function DisplayBirthday(cDay, cMonth, cYear)
	
	buttonDefineHouseLocationPersonalFaux = Turbine.UI.Extensions.SimpleWindow();
	buttonDefineHouseLocationPersonalFaux:SetParent( AltHolicWindow );
	buttonDefineHouseLocationPersonalFaux:SetPosition(10, 15);
	buttonDefineHouseLocationPersonalFaux:SetSize( 32, 32 );
	buttonDefineHouseLocationPersonalFaux:SetVisible(true);
	buttonDefineHouseLocationPersonalFaux:SetZOrder(2000);
	buttonDefineHouseLocationPersonalFaux:SetBackground( 0x411F2959 ); -- round de fleurs

	ButtonPlusVoc = Turbine.UI.Extensions.SimpleWindow();
	ButtonPlusVoc:SetParent( AltHolicWindow );
	ButtonPlusVoc:SetPosition((Turbine.UI.Display:GetWidth()-AltHolicWindow:GetWidth())/2,(Turbine.UI.Display:GetHeight()-AltHolicWindow:GetHeight())/2);
	ButtonPlusVoc:SetSize( 320, 420 );
	ButtonPlusVoc:SetVisible(false);
	ButtonPlusVoc:SetZOrder(100);
	ButtonPlusVoc:SetBackground(ResourcePath .. "/Cadre_320_420.tga");

	centerLabelBVoc = Turbine.UI.Label();
	centerLabelBVoc:SetParent(ButtonPlusVoc);
	centerLabelBVoc:SetPosition( ButtonPlusVoc:GetWidth()/2 - 150, 50 );
	centerLabelBVoc:SetSize( 300, 30  );
	centerLabelBVoc:SetFont(Turbine.UI.Lotro.Font.TrajanProBold30);
	centerLabelBVoc:SetText( "Happy Birthday" );
	centerLabelBVoc:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabelBVoc:SetZOrder(101);
	centerLabelBVoc:SetForeColor(Turbine.UI.Color.Gold);

	kdo = {0x410E04BB,
			0x410E04BE,
			0x410E04C4,
			0x410E04CA,
			0x410E04CD,
			0x410DCFBE,
			0x410DCFBF,
			0x410DCFC2,
			0x411130D8,
			0x4116D9C6,
			0x411C4113,
			0x411EC9F9,
			0x41104C79};
	flags = {0x410040AB,
			0x4110E90B,
			0x4110E90C,
			0x4110E90D,
			0x4110E90E,
			0x4110E90F,
			0x4110E910};

	local posx = 1;
	local posy = 0;
	for i=1, 11 do
		centerLabelBVoc = Turbine.UI.Label();
		centerLabelBVoc:SetParent(ButtonPlusVoc);
		centerLabelBVoc:SetPosition( posx, posy );
		centerLabelBVoc:SetSize( 32, 32  );
		centerLabelBVoc:SetFont(Turbine.UI.Lotro.Font.TrajanProBold30);
		centerLabelBVoc:SetText("");
		centerLabelBVoc:SetZOrder(101);
		centerLabelBVoc:SetBackground(flags[Random(1, 7)]);
		centerLabelBVoc:SetBlendMode(Turbine.UI.BlendMode.Overlay);

		posx = posx + 32;
	end

	if Turbine.Engine.GetLanguage() == Turbine.Language.German then
		MonthName = {"", "", "", "", "Mai", "", "", "", "September", "", "", ""};
	elseif Turbine.Engine.GetLanguage() == Turbine.Language.French then
		MonthName = {"", "", "", "", "Mai", "", "", "", "Septembre", "", "", ""};
	elseif Turbine.Engine.GetLanguage() == Turbine.Language.English then
		MonthName = {"", "", "", "", "May", "", "", "", "September", "", "", ""};
	end

	if Turbine.Engine.GetLanguage() == Turbine.Language.German then
		DayName = {"", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", 
			"Ist der Geburtstag von Bilbo und Frodo Beutlin\n\nDanke an J.R.R.", 
			"Es ist der Geburtstag Ihres Lieblingsentwicklers. Senden Sie ihm eine kleine Nachricht, die ihn glücklich machen wird", 
			"", "", "", "", "", "", ""};
	elseif Turbine.Engine.GetLanguage() == Turbine.Language.French then
		DayName = {"", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", 
			"C'est l'anniversaire de Bilbo et de Frodon Sacquet\n\nMerci à J.R.R.", 
			"C'est l'anniversaire de votre développeur fréféré, envoyer lui un petit message cela lui fera plaisir", 
			"", "", "", "", "", "", ""};
	elseif Turbine.Engine.GetLanguage() == Turbine.Language.English then
		DayName = {"", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", 
			"Is the birthday of Bilbo and Frodo Baggins\n\nThanks to J.R.R.", 
			"It's the birthday of your favorite developer, send him a little message it will make him happy", 
			"", "", "", "", "", "", ""};
	end

	centerLabelBVoc = Turbine.UI.Label();
	centerLabelBVoc:SetParent(ButtonPlusVoc);
	centerLabelBVoc:SetPosition( ButtonPlusVoc:GetWidth()/2 - 150, 100 );
	centerLabelBVoc:SetSize( 300, 30  );
	centerLabelBVoc:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold24);
	centerLabelBVoc:SetText( cDay .. "  " .. MonthName[cMonth] .. "  " .. cYear );
	centerLabelBVoc:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabelBVoc:SetZOrder(101);
	centerLabelBVoc:SetForeColor(Turbine.UI.Color.Gold);

	centerLabelBVoc = Turbine.UI.Label();
	centerLabelBVoc:SetParent(ButtonPlusVoc);
	centerLabelBVoc:SetPosition( ButtonPlusVoc:GetWidth()/2 - 150, 120 );
	centerLabelBVoc:SetSize( 300, 200  );
	centerLabelBVoc:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
	centerLabelBVoc:SetText( DayName[cDay] );
	centerLabelBVoc:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabelBVoc:SetZOrder(101);
	centerLabelBVoc:SetForeColor(Turbine.UI.Color.White);


	posx = 1;
	posy = 290;

	for i=1, 48 do
		centerLabelBVoc = Turbine.UI.Label();
		centerLabelBVoc:SetParent(ButtonPlusVoc);
		centerLabelBVoc:SetPosition( posx, posy );
		centerLabelBVoc:SetSize( 32, 32  );
		centerLabelBVoc:SetFont(Turbine.UI.Lotro.Font.TrajanProBold30);
		centerLabelBVoc:SetText("");
		centerLabelBVoc:SetZOrder(101);
		centerLabelBVoc:SetBackground(kdo[Random(1, 13)]);
		centerLabelBVoc:SetBlendMode(Turbine.UI.BlendMode.Overlay);

		posx = posx + 32;
		if(i%12 == 0)then
			posx = 1;
			posy = posy + 32;
		end
	end

	buttonDefineHouseLocationPersonalFaux.MouseEnter = function()
		ButtonPlusVoc:SetVisible(true);
	end

	buttonDefineHouseLocationPersonalFaux.MouseLeave = function()
		ButtonPlusVoc:SetVisible(false);
	end
end
------------------------------------------------------------------------------------------
-- set the text color for capped
------------------------------------------------------------------------------------------
function SetTheTextColorForCapped(capped, whichOne)
	if capped == 1 then
		whichOne:SetForeColor(Turbine.UI.Color( 1, 1, 0 )); -- yellow
	elseif capped == 2 then
		whichOne:SetForeColor(Turbine.UI.Color( 1, 0.7, 0 )); -- orange
	elseif capped == 3 then
		whichOne:SetForeColor(Turbine.UI.Color.Red);
	elseif capped == 4 then
		whichOne:SetForeColor(Turbine.UI.Color( 1, 0, 1 )); -- purple
	end
end
------------------------------------------------------------------------------------------
-- Position changed window
------------------------------------------------------------------------------------------
function PositionChangedWindow()
	------------------------------------------------------------------------------------------
	-- if the position changes, save the new window location
	------------------------------------------------------------------------------------------
	AltHolicWindow.PositionChanged = function( sender, args )
    	local x,y = AltHolicWindow:GetPosition();
    	settings["windowPosition"]["xPos"] = x;
    	settings["windowPosition"]["yPos"] = y;
	end
end
------------------------------------------------------------------------------------------
-- event handling
------------------------------------------------------------------------------------------
function EscapeKeyHandler()
	AltHolicWindow.KeyDown=function(sender, args)
		if ( args.Action == Turbine.UI.Lotro.Action.Escape ) then
			if(settings["escEnable"]["escEnable"] == true) then
				AltHolicWindow:SetVisible(false);
				settings["isWindowVisible"]["isWindowVisible"] = false;
			end
		end
	
		-- https://www.lotro.com/forums/showthread.php?493466-How-to-hide-a-window-on-F12&p=6581962#post6581962
		if ( args.Action == 268435635 ) then
			hudVisible=not hudVisible;
			if hudVisible then
				AltHolicWindow:SetVisible(false);
				MainMinimizedIcon:SetVisible(false);
			else
				AltHolicWindow:SetVisible(settings.isWindowVisible);
				MainMinimizedIcon:SetVisible(true);
			end
		end
	end
end
------------------------------------------------------------------------------------------
--function to display the backpack window --
------------------------------------------------------------------------------------------
function DisplayBag(i, posx, posy, vocationToShow)
	if(settings["nameAccount"]["account1"]["nbrAlt"] ~= 0)then
		BagsIcons = {0x410FC45F, --  ecplorateur 
						0x410F467E, --  joaillier
						0x410F4682, --  franc-tenancier
						0x410F4684, --  historien 
						0x410F4688, --  armurier
						0x410F4686, --  bucheron 
						0x410F4680}; --  feronnier

			buttonBag = Turbine.UI.Extensions.SimpleWindow();
			buttonBag:SetParent( AltHolicWindow );
			buttonBag:SetPosition(posx + 248, posy + 30);
			buttonBag:SetSize( 32, 32 );
			if(PlayerDatas[i].align == 1)then
				if(settings["displayClassBags"]["value"] == true)then
					buttonBag:SetBackground(BagsIcons[vocationToShow]);
				else
					buttonBag:SetBackground(0x410FC45F);
				end
			else
				buttonBag:SetBackground(0x410F4B84);  -- 0x410F2D43   ---   0x410F4B84 --- 0x4100E9EE
			end
			buttonBag:SetMouseVisible(true);
			buttonBag:SetVisible(true);
			buttonBag:SetZOrder(10);

			buttonBag.MouseClick = function()
				if(settings["isShowBagVisible"]["isShowBagVisible"] == true )then
					settings["isShowBagVisible"]["isShowBagVisible"] = false;
					UIShowBag:SetVisible(false);
				else
					SavePlayerBags();
					CreateUIShowBag(i, "lines");
					settings["isShowBagVisible"]["isShowBagVisible"] = true;
					UIShowBag:SetVisible(true);
				end
			end
	end
end
------------------------------------------------------------------------------------------
--function to display the vault window --
------------------------------------------------------------------------------------------
function DisplayVault(i, posx, posy, vocationToShow)
	if(settings["nameAccount"]["account1"]["nbrAlt"] ~= 0)then
		VaultIcons = {0x4110149D, --  ecplorateur 
						0x41101482, --  joaillier
						0x4110147B, --  franc-tenancier
						0x41101481, --  historien 
						0x4110148B, --  armurier
						0x4110149C, --  bucheron 
						0x41101480}; --  feronnier


			buttonVault = Turbine.UI.Extensions.SimpleWindow();
			buttonVault:SetParent( AltHolicWindow );
			buttonVault:SetPosition(posx + 220, posy + 30);
			buttonVault:SetSize( 32, 32 );
			if(PlayerDatas[i].align == 1)then
				--buttonVault:SetBackground(VaultIcons[vocationToShow]);
				buttonVault:SetBackground(0x410E76AE);
			end
			buttonVault:SetMouseVisible(true);
			buttonVault:SetVisible(true);
			buttonVault:SetZOrder(10);

			buttonVault.MouseClick = function()
				if(settings["isShowVaultVisible"]["isShowVaultVisible"] == true )then
					settings["isShowVaultVisible"]["isShowVaultVisible"] = false;
					UIShowVault:SetVisible(false);
				else
					CreateUIShowVault(i, "lines");
					settings["isShowVaultVisible"]["isShowVaultVisible"] = true;
					UIShowVault:SetVisible(true);
				end
			end
	end
end
------------------------------------------------------------------------------------------
--function to display the cash window --
------------------------------------------------------------------------------------------
function DisplayCashWindow(posx, posy)
	buttonDefineCashTotal = Turbine.UI.Extensions.SimpleWindow();
	buttonDefineCashTotal:SetParent( AltHolicWindow );
	buttonDefineCashTotal:SetPosition(posx, posy);
	buttonDefineCashTotal:SetSize( 32, 32 );
	buttonDefineCashTotal:SetVisible(true);
	buttonDefineCashTotal:SetZOrder(30);

	buttonDefineCashTotal.MouseEnter = function()
		CreateUIShowCash();
		UIShowCash:SetVisible(true);
	end

	buttonDefineCashTotal.MouseLeave = function()
		UIShowCash:SetVisible(false);
	end
end
------------------------------------------------------------------------------------------
--function to display the epique window --
------------------------------------------------------------------------------------------
function DisplayEpiqueWindow(i, posx, posy)
	buttonDefineEpique = Turbine.UI.Extensions.SimpleWindow();
	buttonDefineEpique:SetParent( AltHolicWindow );
	buttonDefineEpique:SetPosition(posx, posy);
	buttonDefineEpique:SetSize( 32, 32 );
	buttonDefineEpique:SetVisible(true);
	buttonDefineEpique:SetZOrder(30);

	ButtonPlusLab[i] = Turbine.UI.Extensions.SimpleWindow();
	ButtonPlusLab[i]:SetParent( AltHolicWindow );
	ButtonPlusLab[i]:SetPosition(posx + 40 , posy - 5);
	ButtonPlusLab[i]:SetSize( 180, 30 );
	ButtonPlusLab[i]:SetVisible(false);
	ButtonPlusLab[i]:SetZOrder(20);
	ButtonPlusLab[i]:SetBackground(ResourcePath .. "/Cadre_180_30.tga");

	centerLabelBLab[i] = Turbine.UI.Label();
	centerLabelBLab[i]:SetParent(ButtonPlusLab[i]);
	centerLabelBLab[i]:SetPosition( 2, 2 );
	centerLabelBLab[i]:SetSize( 176, 26  );
	centerLabelBLab[i]:SetFont(Turbine.UI.Lotro.Font.Verdana20);
	centerLabelBLab[i]:SetText( Strings.PluginEpiqueWindow1 );
	centerLabelBLab[i]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabelBLab[i]:SetZOrder(21);
	centerLabelBLab[i]:SetBackColor( Turbine.UI.Color( .8, .1, .4, .9) );

	buttonDefineEpique.MouseEnter = function()
		ButtonPlusLab[i]:SetVisible(true);
	end

	buttonDefineEpique.MouseLeave = function()
		ButtonPlusLab[i]:SetVisible(false);
	end

	buttonDefineEpique.MouseClick = function()
		if(settings["isEpiqueWindowVisible"]["isEpiqueWindowVisible"] == true )then
			settings["isEpiqueWindowVisible"]["isEpiqueWindowVisible"] = false;
			UIShowEpique:SetVisible(false);
		else
			CreateUIShowEpique();
			settings["isEpiqueWindowVisible"]["isEpiqueWindowVisible"] = true;
			UIShowEpique:SetVisible(true);
		end
	end
end
------------------------------------------------------------------------------------------
--function to display the wallet window --
------------------------------------------------------------------------------------------
function DisplayWallet(i, posx, posy)
	if(settings["nameAccount"]["account1"]["nbrAlt"] ~= 0)then

			buttonWallet = Turbine.UI.Extensions.SimpleWindow();
			buttonWallet:SetParent( AltHolicWindow );
			buttonWallet:SetPosition(posx + 190, posy + 30);
			buttonWallet:SetSize( 32, 32 );
			buttonWallet:SetBackground(0x411D028B);
			buttonWallet:SetMouseVisible(true);
			buttonWallet:SetVisible(true);
			buttonWallet:SetZOrder(10);

			buttonWallet.MouseClick = function()
				if(settings["isShowWalletVisible"]["isShowWalletVisible"] == true )then
					settings["isShowWalletVisible"]["isShowWalletVisible"] = false;
					UIShowWallet:SetVisible(false);
				else
					CreateUIShowWallet(i, "lines");
					settings["isShowWalletVisible"]["isShowWalletVisible"] = true;
					UIShowWallet:SetVisible(true);
				end
			end
	end
end
------------------------------------------------------------------------------------------
--function to display the equipment window --
------------------------------------------------------------------------------------------
function DisplayEquipment(posx, posy, nameToShow, alignement)
	local equipMent = Turbine.Gameplay.LocalPlayer:GetInstance():GetEquipment();
	local equip = { };

	local nbrItems = 0;
	for j=1, 20 do
		equip[j] = equipMent:GetItem(j);
	end

	buttonDefineHouseLocationPersonalFaux2 = Turbine.UI.Extensions.SimpleWindow();
	buttonDefineHouseLocationPersonalFaux2:SetParent( AltHolicWindow );
	buttonDefineHouseLocationPersonalFaux2:SetPosition(posx - 3, posy);
	buttonDefineHouseLocationPersonalFaux2:SetSize( 32, 32 );
	buttonDefineHouseLocationPersonalFaux2:SetVisible(true);
	buttonDefineHouseLocationPersonalFaux2:SetZOrder(30);

	buttonDefineHouseLocationPersonalFaux2.MouseClick = function()	
		if(settings["isShowEquipmentVisible"]["isShowEquipmentVisible"] == true )then
			settings["isShowEquipmentVisible"]["isShowEquipmentVisible"] = false;
			UIShowEquip:SetVisible(false);
		else
			SavePlayerEquipment();
			settings["isShowEquipmentVisible"]["isShowEquipmentVisible"] = true;
			CreateUIShowEquip(nameToShow, alignement);
			UIShowEquip:SetVisible(true);
		end
	end
end
------------------------------------------------------------------------------------------
--function that resize the main window depending on how many charcater are saved --
------------------------------------------------------------------------------------------
function UpdateMainWindow()
	AltHolicWindow:SetVisible(false);
	if(settings["nameAccount"]["account1"]["nbrAlt"] == 0 or settings["nameAccount"]["account1"]["isVisible"] == false)then
		if(settings["displaySpentCash"]["value"] == true)then
			CreateMainWindow(400, 210);
		else
			CreateMainWindow(400, 150);
		end
		AltHolicWindow:SetVisible(settings["isWindowVisible"]["isWindowVisible"]);
	else
		if(settings["displaySpentCash"]["value"] == true)then
			winHeight = (settings["nameAccount"]["account1"]["nbrAlt"] * 46) + 210;
			if(winHeight < 210)then
				winHeight = 200;
			end
		else
			winHeight = (settings["nameAccount"]["account1"]["nbrAlt"] * 46) + 150;
			if(winHeight < 150)then
				winHeight = 200;
			end
		end
		CreateMainWindow(400, winHeight);
		AltHolicWindow:SetVisible(settings["isWindowVisible"]["isWindowVisible"]);
	end
end
------------------------------------------------------------------------------------------
-- Closing window handler
------------------------------------------------------------------------------------------
function ClosingTheWindow()
	function AltHolicWindow:Closing(sender, args)
		settings["isWindowVisible"]["isWindowVisible"] = false;
	end
end
function ClosingTheWindowBag()
	function UIShowBag:Closing(sender, args)
		settings["isShowBagVisible"]["isShowBagVisible"] = false;
	end
end
function ClosingTheWindowVault()
	function UIShowVault:Closing(sender, args)
		settings["isShowVaultVisible"]["isShowVaultVisible"] = false;
	end
end
function ClosingTheWindowSharedStorage()
	function UIShowSharedStorage:Closing(sender, args)
		settings["isShowSharedStorageVisible"]["isShowSharedStorageVisible"] = false;
	end
end
function ClosingTheWindowEquipment()
	function UIShowEquip:Closing(sender, args)
		settings["isShowEquipmentVisible"]["isShowEquipmentVisible"] = false;
	end
end
function ClosingTheWindowSearch()
	function UIShowSearch:Closing(sender, args)
		settings["isSearchWindowVisible"]["isSearchWindowVisible"] = false;
	end
end
function ClosingTheWindowOptions()
	function OptionsWindow:Closing(sender, args)
		settings["isOptionsWindowVisible"]["isOptionsWindowVisible"] = false;
	end
end 
function ClosingTheWindowWallet()
	function UIShowWallet:Closing(sender, args)
		settings["isShowWalletVisible"]["isShowWalletVisible"] = false;
	end
end 
function ClosingTheWindowStats()
	function UIShowStats:Closing(sender, args)
		settings["isShowStatsVisible"]["isShowStatsVisible"] = false;
	end
end
function ClosingTheWindowEpique()
	function UIShowEpique:Closing(sender, args)
		settings["isEpiqueWindowVisible"]["isEpiqueWindowVisible"] = false;
	end
end
------------------------------------------------------------------------------------------
-- Display label functions
------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------
--function to display the cash in wallet --
------------------------------------------------------------------------------------------
function DisplayCash(totalCash, windowToDisplay, namePlayerToshow)
	local valToAdd = 0;
	
	if(namePlayerToshow == PlayerName)then
		valToAdd = 20;
	end
	
	
	if(namePlayerToshow == "" or namePlayerToshow == nil)then
		namePlayerToshow = PlayerName;
	end

	gold = math.floor( totalCash / 100000);
	silver = math.floor( totalCash / 100) - gold * 1000;
	copper = totalCash - gold * 100000 - silver * 100;

	if(settings["displaySpentCash"]["value"] == true)then
		valToAdd = valToAdd + 45;
	else
		valToAdd = valToAdd + (-10);
	end

	if(windowToDisplay == UIShowWallet)then
		if(PlayerDatas[namePlayerToshow].bagCash > 0 and PlayerDatas[namePlayerToshow].vaultCash > 0)then
			valToAdd = 570;
		elseif(PlayerDatas[namePlayerToshow].bagCash > 0 and PlayerDatas[namePlayerToshow].vaultCash <= 0)then
			valToAdd = 490;
		elseif(PlayerDatas[namePlayerToshow].bagCash <= 0 and PlayerDatas[namePlayerToshow].vaultCash > 0)then
			valToAdd = 490;
		elseif(PlayerDatas[namePlayerToshow].bagCash <= 0 and PlayerDatas[namePlayerToshow].vaultCash <= 0)then
			valToAdd = 490;
		end
	end


	LabelGold = Turbine.UI.Label(); 
	LabelGold:SetParent( windowToDisplay );
	LabelGold:SetPosition(windowToDisplay:GetWidth()/2 - 70, windowToDisplay:GetHeight() - (64 + valToAdd));
	LabelGold:SetSize( 27, 21 );
	LabelGold:SetVisible(true);
	LabelGold:SetBackground(0x41007e7b);
	LabelGold:SetZOrder(-1);
	LabelGold:SetBlendMode( Turbine.UI.BlendMode.Overlay );

	if(windowToDisplay == UIShowWallet)then
		if(PlayerDatas[namePlayerToshow].bagCash > 0 or PlayerDatas[namePlayerToshow].vaultCash > 0)then
			windowToDisplay.Message4=Turbine.UI.Label(); 
			windowToDisplay.Message4:SetParent(windowToDisplay); 
			windowToDisplay.Message4:SetSize(200, 30); 
			windowToDisplay.Message4:SetPosition(windowToDisplay:GetWidth()/2 - 100, windowToDisplay:GetHeight() - (88 + valToAdd)); 
			windowToDisplay.Message4:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
			windowToDisplay.Message4:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold18);
			windowToDisplay.Message4:SetText( Strings.PluginSearch7 ); 
			windowToDisplay.Message4:SetForeColor(Turbine.UI.Color.Green);

			windowToDisplay.Message=Turbine.UI.Label(); 
			windowToDisplay.Message:SetParent(windowToDisplay); 
			windowToDisplay.Message:SetSize(250, 30); 
			windowToDisplay.Message:SetPosition(windowToDisplay:GetWidth()/2 - 125, windowToDisplay:GetHeight() - (84 + valToAdd)); 
			windowToDisplay.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
			windowToDisplay.Message:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
			windowToDisplay.Message:SetText("___________________________________________________________________________________"); 
			windowToDisplay.Message:SetForeColor(Turbine.UI.Color.Green);
		end
	end

	windowToDisplay.Message1=Turbine.UI.Label(); 
	windowToDisplay.Message1:SetParent(windowToDisplay); 
	windowToDisplay.Message1:SetSize(50, 30); 
	windowToDisplay.Message1:SetPosition(windowToDisplay:GetWidth()/2 - 119, windowToDisplay:GetHeight() - (70 + valToAdd)); 
	windowToDisplay.Message1:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight); 
	windowToDisplay.Message1:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
	windowToDisplay.Message1:SetText(string.format( "%.0f", gold)); 
	windowToDisplay.Message1:SetForeColor(Turbine.UI.Color.Gold);

	LabelGold = Turbine.UI.Label(); 
	LabelGold:SetParent( windowToDisplay );
	LabelGold:SetPosition(windowToDisplay:GetWidth()/2 + 7, windowToDisplay:GetHeight() - (64 + valToAdd));
	LabelGold:SetSize( 27, 21 );
	LabelGold:SetVisible(true);
	LabelGold:SetBackground(0x41007e7c);
	LabelGold:SetZOrder(-1);
	LabelGold:SetBlendMode( Turbine.UI.BlendMode.Overlay );

	windowToDisplay.Message2=Turbine.UI.Label();  
	windowToDisplay.Message2:SetParent(windowToDisplay); 
	windowToDisplay.Message2:SetSize(50, 30); 
	windowToDisplay.Message2:SetPosition(windowToDisplay:GetWidth()/2 - 43, windowToDisplay:GetHeight() - (70 + valToAdd)); 
	windowToDisplay.Message2:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight); 
	windowToDisplay.Message2:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
	windowToDisplay.Message2:SetText(string.format( "%.0f", silver));
	windowToDisplay.Message2:SetForeColor(Turbine.UI.Color.Silver);

	LabelGold = Turbine.UI.Label(); 
	LabelGold:SetParent( windowToDisplay );
	LabelGold:SetPosition(windowToDisplay:GetWidth()/2 + 84, windowToDisplay:GetHeight() - (64 + valToAdd));
	LabelGold:SetSize( 27, 21 );
	LabelGold:SetVisible(true);
	LabelGold:SetBackground(0x41007e7d);
	LabelGold:SetZOrder(-1);
	LabelGold:SetBlendMode( Turbine.UI.BlendMode.Overlay );

	windowToDisplay.Message3=Turbine.UI.Label(); 
	windowToDisplay.Message3:SetParent(windowToDisplay); 
	windowToDisplay.Message3:SetSize(50, 30); 
	windowToDisplay.Message3:SetPosition(windowToDisplay:GetWidth()/2 + 34, windowToDisplay:GetHeight() - (70 + valToAdd)); 
	windowToDisplay.Message3:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight); 
	windowToDisplay.Message3:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
	windowToDisplay.Message3:SetText(string.format( "%.0f", copper));
	windowToDisplay.Message3:SetForeColor(Turbine.UI.Color( 0.8, 0.4, 0.2));
	--- end of cash displayer
end
------------------------------------------------------------------------------------------
--function to display the cash in bag --
------------------------------------------------------------------------------------------
function DisplayBagCash(totalCash, windowToDisplay, namePlayerToshow)
	gold = math.floor( totalCash / 100000);
	silver = math.floor( totalCash / 100) - gold * 1000;
	copper = totalCash - gold * 100000 - silver * 100;
	local valToAdd = 0;

	if(settings["displaySpentCash"]["value"] == true)then
		valToAdd = 50;
	else
		valToAdd = (-10);
	end

	if(windowToDisplay == UIShowWallet)then
		valToAdd = 502;
	end

	-- gold = 0x41004641
	-- silver = 0x41007E7E
	-- copper = 0x41007E80

	LabelGold = Turbine.UI.Label(); 
	LabelGold:SetParent( windowToDisplay );
	LabelGold:SetPosition(windowToDisplay:GetWidth()/2 - 70, windowToDisplay:GetHeight() - (90 + valToAdd));
	LabelGold:SetSize( 27, 21 );
	LabelGold:SetVisible(true);
	LabelGold:SetBackground(0x41007e7b);
	LabelGold:SetZOrder(-1);
	LabelGold:SetBlendMode( Turbine.UI.BlendMode.Overlay );

	windowToDisplay.Message4=Turbine.UI.Label(); 
	windowToDisplay.Message4:SetParent(windowToDisplay); 
	windowToDisplay.Message4:SetSize(200, 30); 
	windowToDisplay.Message4:SetPosition(windowToDisplay:GetWidth()/2 - 100, windowToDisplay:GetHeight() - (114 + valToAdd)); 
	windowToDisplay.Message4:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	windowToDisplay.Message4:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold18);
	windowToDisplay.Message4:SetText( Strings.PluginSearch3 ); 
	windowToDisplay.Message4:SetForeColor(Turbine.UI.Color.Red);

	windowToDisplay.Message=Turbine.UI.Label(); 
	windowToDisplay.Message:SetParent(windowToDisplay); 
	windowToDisplay.Message:SetSize(250, 30); 
	windowToDisplay.Message:SetPosition(windowToDisplay:GetWidth()/2 - 125, windowToDisplay:GetHeight() - (110 + valToAdd)); 
	windowToDisplay.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	windowToDisplay.Message:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
	windowToDisplay.Message:SetText("___________________________________________________________________________________"); 
	windowToDisplay.Message:SetForeColor(Turbine.UI.Color.Red);

	windowToDisplay.Message1=Turbine.UI.Label(); 
	windowToDisplay.Message1:SetParent(windowToDisplay); 
	windowToDisplay.Message1:SetSize(50, 30); 
	windowToDisplay.Message1:SetPosition(windowToDisplay:GetWidth()/2 - 119, windowToDisplay:GetHeight() - (96 + valToAdd)); 
	windowToDisplay.Message1:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight); 
	windowToDisplay.Message1:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
	windowToDisplay.Message1:SetText(string.format( "%.0f", gold)); 
	windowToDisplay.Message1:SetForeColor(Turbine.UI.Color.Gold);

	LabelGold = Turbine.UI.Label(); 
	LabelGold:SetParent( windowToDisplay );
	LabelGold:SetPosition(windowToDisplay:GetWidth()/2 + 7, windowToDisplay:GetHeight() - (90 + valToAdd));
	LabelGold:SetSize( 27, 21 );
	LabelGold:SetVisible(true);
	LabelGold:SetBackground(0x41007e7c);
	LabelGold:SetZOrder(-1);
	LabelGold:SetBlendMode( Turbine.UI.BlendMode.Overlay );

	windowToDisplay.Message2=Turbine.UI.Label();  
	windowToDisplay.Message2:SetParent(windowToDisplay); 
	windowToDisplay.Message2:SetSize(50, 30); 
	windowToDisplay.Message2:SetPosition(windowToDisplay:GetWidth()/2 - 43, windowToDisplay:GetHeight() - (96 + valToAdd)); 
	windowToDisplay.Message2:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight); 
	windowToDisplay.Message2:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
	windowToDisplay.Message2:SetText(string.format( "%.0f", silver));
	windowToDisplay.Message2:SetForeColor(Turbine.UI.Color.Silver);

	LabelGold = Turbine.UI.Label(); 
	LabelGold:SetParent( windowToDisplay );
	LabelGold:SetPosition(windowToDisplay:GetWidth()/2 + 84, windowToDisplay:GetHeight() - (90 + valToAdd));
	LabelGold:SetSize( 27, 21 );
	LabelGold:SetVisible(true);
	LabelGold:SetBackground(0x41007e7d);
	LabelGold:SetZOrder(-1);
	LabelGold:SetBlendMode( Turbine.UI.BlendMode.Overlay );

	windowToDisplay.Message3=Turbine.UI.Label(); 
	windowToDisplay.Message3:SetParent(windowToDisplay); 
	windowToDisplay.Message3:SetSize(50, 30); 
	windowToDisplay.Message3:SetPosition(windowToDisplay:GetWidth()/2 + 34, windowToDisplay:GetHeight() - (96 + valToAdd)); 
	windowToDisplay.Message3:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight); 
	windowToDisplay.Message3:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
	windowToDisplay.Message3:SetText(string.format( "%.0f", copper));
	windowToDisplay.Message3:SetForeColor(Turbine.UI.Color( 0.8, 0.4, 0.2));
	--- end of cash displayer
end
------------------------------------------------------------------------------------------
--function to display the cash in vault --
------------------------------------------------------------------------------------------
function DisplayVaultCash(totalCash, windowToDisplay, namePlayerToshow)
	gold = math.floor( totalCash / 100000);
	silver = math.floor( totalCash / 100) - gold * 1000;
	copper = totalCash - gold * 100000 - silver * 100;
	local valToAdd = 0;

	if(settings["displaySpentCash"]["value"] == true)then
		valToAdd = 50;
	else
		valToAdd = (-10);
	end

	if(windowToDisplay == UIShowWallet)then
		valToAdd = 440;
	end

	if(PlayerDatas[namePlayerToshow].bagCash <= 0)then
		valToAdd = 480;
	end

	LabelGold = Turbine.UI.Label(); 
	LabelGold:SetParent( windowToDisplay );
	LabelGold:SetPosition(windowToDisplay:GetWidth()/2 - 70, windowToDisplay:GetHeight() - (110 + valToAdd));
	LabelGold:SetSize( 27, 21 );
	LabelGold:SetVisible(true);
	LabelGold:SetBackground(0x41007e7b);
	LabelGold:SetZOrder(-1);
	LabelGold:SetBlendMode( Turbine.UI.BlendMode.Overlay );

	windowToDisplay.Message4=Turbine.UI.Label(); 
	windowToDisplay.Message4:SetParent(windowToDisplay); 
	windowToDisplay.Message4:SetSize(200, 30); 
	windowToDisplay.Message4:SetPosition(windowToDisplay:GetWidth()/2 - 100, windowToDisplay:GetHeight() - (134 + valToAdd)); 
	windowToDisplay.Message4:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	windowToDisplay.Message4:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold18);
	windowToDisplay.Message4:SetText( Strings.PluginSearch4 ); 
	windowToDisplay.Message4:SetForeColor(Turbine.UI.Color.Blue);

	windowToDisplay.Message=Turbine.UI.Label(); 
	windowToDisplay.Message:SetParent(windowToDisplay); 
	windowToDisplay.Message:SetSize(250, 30); 
	windowToDisplay.Message:SetPosition(windowToDisplay:GetWidth()/2 - 125, windowToDisplay:GetHeight() - (130 + valToAdd)); 
	windowToDisplay.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	windowToDisplay.Message:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
	windowToDisplay.Message:SetText("___________________________________________________________________________________"); 
	windowToDisplay.Message:SetForeColor(Turbine.UI.Color.Blue);

	windowToDisplay.Message1=Turbine.UI.Label(); 
	windowToDisplay.Message1:SetParent(windowToDisplay); 
	windowToDisplay.Message1:SetSize(50, 30); 
	windowToDisplay.Message1:SetPosition(windowToDisplay:GetWidth()/2 - 119, windowToDisplay:GetHeight() - (116 + valToAdd)); 
	windowToDisplay.Message1:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight); 
	windowToDisplay.Message1:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
	windowToDisplay.Message1:SetText(string.format( "%.0f", gold)); 
	windowToDisplay.Message1:SetForeColor(Turbine.UI.Color.Gold);

	LabelGold = Turbine.UI.Label(); 
	LabelGold:SetParent( windowToDisplay );
	LabelGold:SetPosition(windowToDisplay:GetWidth()/2 + 7, windowToDisplay:GetHeight() - (110 + valToAdd));
	LabelGold:SetSize( 27, 21 );
	LabelGold:SetVisible(true);
	LabelGold:SetBackground(0x41007e7c);
	LabelGold:SetZOrder(-1);
	LabelGold:SetBlendMode( Turbine.UI.BlendMode.Overlay );

	windowToDisplay.Message2=Turbine.UI.Label();  
	windowToDisplay.Message2:SetParent(windowToDisplay); 
	windowToDisplay.Message2:SetSize(50, 30); 
	windowToDisplay.Message2:SetPosition(windowToDisplay:GetWidth()/2 - 43, windowToDisplay:GetHeight() - (116 + valToAdd)); 
	windowToDisplay.Message2:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight); 
	windowToDisplay.Message2:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
	windowToDisplay.Message2:SetText(string.format( "%.0f", silver));
	windowToDisplay.Message2:SetForeColor(Turbine.UI.Color.Silver);

	LabelGold = Turbine.UI.Label(); 
	LabelGold:SetParent( windowToDisplay );
	LabelGold:SetPosition(windowToDisplay:GetWidth()/2 + 84, windowToDisplay:GetHeight() - (110 + valToAdd));
	LabelGold:SetSize( 27, 21 );
	LabelGold:SetVisible(true);
	LabelGold:SetBackground(0x41007e7d);
	LabelGold:SetZOrder(-1);
	LabelGold:SetBlendMode( Turbine.UI.BlendMode.Overlay );

	windowToDisplay.Message3=Turbine.UI.Label(); 
	windowToDisplay.Message3:SetParent(windowToDisplay); 
	windowToDisplay.Message3:SetSize(50, 30); 
	windowToDisplay.Message3:SetPosition(windowToDisplay:GetWidth()/2 + 34, windowToDisplay:GetHeight() - (116 + valToAdd)); 
	windowToDisplay.Message3:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight); 
	windowToDisplay.Message3:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
	windowToDisplay.Message3:SetText(string.format( "%.0f", copper));
	windowToDisplay.Message3:SetForeColor(Turbine.UI.Color( 0.8, 0.4, 0.2));
	--- end of cash displayer
end
------------------------------------------------------------------------------------------
-- function to display destiny points --
------------------------------------------------------------------------------------------
function DisplayDestinyPoints(windowToDisplay)

	if(windowToDisplay == UIShowWallet)then
		valToAdd = 450;
	end

	LabelDestinyPoints = Turbine.UI.Label(); 
	LabelDestinyPoints:SetParent( windowToDisplay );
	LabelDestinyPoints:SetPosition(windowToDisplay:GetWidth()/2 - 102, windowToDisplay:GetHeight() - (70 + valToAdd));
	LabelDestinyPoints:SetSize( 25, 25 );
	LabelDestinyPoints:SetVisible(true);
	LabelDestinyPoints:SetBackground(0x411020E9);
	LabelDestinyPoints:SetZOrder(-1);
	LabelDestinyPoints:SetBlendMode( Turbine.UI.BlendMode.Overlay );

	windowToDisplay.MessagePoints=Turbine.UI.Label(); 
	windowToDisplay.MessagePoints:SetParent(windowToDisplay); 
	windowToDisplay.MessagePoints:SetSize(200, 30); 
	windowToDisplay.MessagePoints:SetPosition(windowToDisplay:GetWidth()/2 - 72, windowToDisplay:GetHeight() - (72 + valToAdd)); 
	windowToDisplay.MessagePoints:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
	windowToDisplay.MessagePoints:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
	windowToDisplay.MessagePoints:SetText(comma_value(PlayerAttr:GetDestinyPoints())); 
	windowToDisplay.MessagePoints:SetForeColor(Turbine.UI.Color.Gold);
	--windowToDisplay.MessageP:SetBackColor(Turbine.UI.Color.Lime);
end
------------------------------------------------------------------------------------------
-- function to display lotro coins --
------------------------------------------------------------------------------------------
function DisplayLotroCoins(windowToDisplay, namePlayerToshow)

	if(windowToDisplay == UIShowWallet)then
		valToAdd = 450;
	end

	LabelLotroCoins = Turbine.UI.Label(); 
	LabelLotroCoins:SetParent( windowToDisplay );
	LabelLotroCoins:SetPosition(windowToDisplay:GetWidth()/2 + 40, windowToDisplay:GetHeight() - (70 + valToAdd));
	LabelLotroCoins:SetSize( 25, 25 );
	LabelLotroCoins:SetVisible(true);
	LabelLotroCoins:SetBackground(0x411045ED);
	LabelLotroCoins:SetZOrder(10);
	LabelLotroCoins:SetBlendMode( Turbine.UI.BlendMode.Overlay );
	LabelLotroCoins:SetMouseVisible( true );

	windowToDisplay.MessageP=Turbine.UI.Label(); 
	windowToDisplay.MessageP:SetParent(windowToDisplay); 
	windowToDisplay.MessageP:SetSize(200, 30); 
	windowToDisplay.MessageP:SetPosition(windowToDisplay:GetWidth()/2 + 75, windowToDisplay:GetHeight() - (72 + valToAdd)); 
	windowToDisplay.MessageP:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
	windowToDisplay.MessageP:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
	windowToDisplay.MessageP:SetText(comma_value(settings["lotroCoins"]["value"])); 
	windowToDisplay.MessageP:SetForeColor(Turbine.UI.Color.Gold);
	

	-- show the label to update coins
	ButtonPlusCash = Turbine.UI.Extensions.SimpleWindow();
	ButtonPlusCash:SetParent( windowToDisplay );
	ButtonPlusCash:SetPosition(windowToDisplay:GetWidth()/2 + 70, windowToDisplay:GetHeight() - (90 + valToAdd));
	ButtonPlusCash:SetSize( 180, 30 );
	ButtonPlusCash:SetVisible(false);
	ButtonPlusCash:SetZOrder(20);
	ButtonPlusCash:SetBackground(ResourcePath .. "/Cadre_180_30.tga");

	centerLabelCash = Turbine.UI.Label();
	centerLabelCash:SetParent(ButtonPlusCash);
	centerLabelCash:SetPosition( 2, 2 );
	centerLabelCash:SetSize( 176, 26  );
	centerLabelCash:SetFont(Turbine.UI.Lotro.Font.Verdana16);
	centerLabelCash:SetText( Strings.PluginWalletWindow8 );

	centerLabelCash:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabelCash:SetZOrder(21);
	centerLabelCash:SetBackColor( Turbine.UI.Color( .9, .1, .4, .9) );

	LabelLotroCoins.MouseEnter = function()
		ButtonPlusCash:SetVisible(true);
	end

	LabelLotroCoins.MouseLeave = function()
		ButtonPlusCash:SetVisible(false);
	end

	LabelLotroCoins.MouseClick = function()
		UIShowWallet:SetVisible(false);
		settings["isShowWalletVisible"]["isShowWalletVisible"] = false;
		CreateUIShowLotro(namePlayerToshow);
		UIShowLotro:SetVisible(true);
	end
end
------------------------------------------------------------------------------------------
--function to display the session cash --
------------------------------------------------------------------------------------------
function DisplaySessionCash()
	currentCash = 0;
	currentCash = settings["sessionCash"]["cashSession"];

	local valToAdd = 0;

	if(settings["displaySpentCash"]["value"] == true)then
		valToAdd = 10;

		AltHolicWindow.Message=Turbine.UI.Label(); 
		AltHolicWindow.Message:SetParent(AltHolicWindow); 
		AltHolicWindow.Message:SetSize(300, 30); 
		AltHolicWindow.Message:SetPosition(AltHolicWindow:GetWidth()/2 - 150, AltHolicWindow:GetHeight() - (85 + valToAdd)); 
		AltHolicWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
		AltHolicWindow.Message:SetFont(Turbine.UI.Lotro.Font.Verdana16);
		AltHolicWindow.Message:SetText(Strings.PluginCashWindow3); 

		AltHolicWindow.Message=Turbine.UI.Label(); 
		AltHolicWindow.Message:SetParent(AltHolicWindow); 
		AltHolicWindow.Message:SetSize(300, 30); 
		AltHolicWindow.Message:SetPosition(AltHolicWindow:GetWidth()/2 - 150, AltHolicWindow:GetHeight() - (78 + valToAdd)); 
		AltHolicWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
		AltHolicWindow.Message:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
		AltHolicWindow.Message:SetText("___________________________________________________________________________________"); 
		AltHolicWindow.Message:SetForeColor(Turbine.UI.Color.Blue);
	end


	if(currentCash < 0)then
		currentCash = 0;
	end

		gold = math.floor( currentCash / 100000);
		silver = math.floor( currentCash / 100) - gold * 1000;
		copper = currentCash - gold * 100000 - silver * 100;

		LabelGold = Turbine.UI.Label(); 
		LabelGold:SetParent( AltHolicWindow );
		LabelGold:SetPosition(AltHolicWindow:GetWidth()/2 - 70, AltHolicWindow:GetHeight() - (55 + valToAdd));
		LabelGold:SetSize( 27, 21 );
		LabelGold:SetVisible(true);
		LabelGold:SetBackground(0x41007e7b);
		LabelGold:SetZOrder(-1);
		LabelGold:SetBlendMode( Turbine.UI.BlendMode.Overlay );

		AltHolicWindow.Message1=Turbine.UI.Label(); 
		AltHolicWindow.Message1:SetParent(AltHolicWindow); 
		AltHolicWindow.Message1:SetSize(50, 30); 
		AltHolicWindow.Message1:SetPosition(AltHolicWindow:GetWidth()/2 - 119, AltHolicWindow:GetHeight() - (61 + valToAdd)); 
		AltHolicWindow.Message1:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight); 
		AltHolicWindow.Message1:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
		AltHolicWindow.Message1:SetText(string.format( "%.0f", gold)); 
		AltHolicWindow.Message1:SetForeColor(Turbine.UI.Color.Gold);

		LabelGold = Turbine.UI.Label(); 
		LabelGold:SetParent( AltHolicWindow );
		LabelGold:SetPosition(AltHolicWindow:GetWidth()/2 + 7, AltHolicWindow:GetHeight() - (55 + valToAdd));
		LabelGold:SetSize( 27, 21 );
		LabelGold:SetVisible(true);
		LabelGold:SetBackground(0x41007e7c);
		LabelGold:SetZOrder(-1);
		LabelGold:SetBlendMode( Turbine.UI.BlendMode.Overlay );

		AltHolicWindow.Message2=Turbine.UI.Label();  
		AltHolicWindow.Message2:SetParent(AltHolicWindow); 
		AltHolicWindow.Message2:SetSize(50, 30); 
		AltHolicWindow.Message2:SetPosition(AltHolicWindow:GetWidth()/2 - 43, AltHolicWindow:GetHeight() - (61 + valToAdd)); 
		AltHolicWindow.Message2:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight); 
		AltHolicWindow.Message2:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
		AltHolicWindow.Message2:SetText(string.format( "%.0f", silver));
		AltHolicWindow.Message2:SetForeColor(Turbine.UI.Color.Silver);

		LabelGold = Turbine.UI.Label(); 
		LabelGold:SetParent( AltHolicWindow );
		LabelGold:SetPosition(AltHolicWindow:GetWidth()/2 + 84, AltHolicWindow:GetHeight() - (55 + valToAdd));
		LabelGold:SetSize( 27, 21 );
		LabelGold:SetVisible(true);
		LabelGold:SetBackground(0x41007e7d);
		LabelGold:SetZOrder(-1);
		LabelGold:SetBlendMode( Turbine.UI.BlendMode.Overlay );

		AltHolicWindow.Message3=Turbine.UI.Label(); 
		AltHolicWindow.Message3:SetParent(AltHolicWindow); 
		AltHolicWindow.Message3:SetSize(50, 30); 
		AltHolicWindow.Message3:SetPosition(AltHolicWindow:GetWidth()/2 + 34, AltHolicWindow:GetHeight() - (61 + valToAdd)); 
		AltHolicWindow.Message3:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight); 
		AltHolicWindow.Message3:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
		AltHolicWindow.Message3:SetText(string.format( "%.0f", copper));
		AltHolicWindow.Message3:SetForeColor(Turbine.UI.Color( 0.8, 0.4, 0.2));

		AltHolicWindow.Message4=Turbine.UI.Label(); 
		AltHolicWindow.Message4:SetParent(AltHolicWindow); 
		AltHolicWindow.Message4:SetSize(100, 30); 
		AltHolicWindow.Message4:SetPosition(AltHolicWindow:GetWidth()/2 - 195, AltHolicWindow:GetHeight() - (61 + valToAdd)); 
		AltHolicWindow.Message4:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight); 
		AltHolicWindow.Message4:SetFont(Turbine.UI.Lotro.Font.Verdana16);
		AltHolicWindow.Message4:SetText(Strings.PluginCashWindow4);
		--- end of cash displayer
end
------------------------------------------------------------------------------------------
--function to display the session spent cash --
------------------------------------------------------------------------------------------
function DisplaySpentCash()
		spentCash = 0;
		spentCash = settings["sessionCash"]["cashSpent"];

		gold = math.floor( spentCash / 100000);
		silver = math.floor( spentCash / 100) - gold * 1000;
		copper = spentCash - gold * 100000 - silver * 100;

		LabelGold = Turbine.UI.Label(); 
		LabelGold:SetParent( AltHolicWindow );
		LabelGold:SetPosition(AltHolicWindow:GetWidth()/2 - 70, AltHolicWindow:GetHeight() - 45);
		LabelGold:SetSize( 27, 21 );
		LabelGold:SetVisible(true);
		LabelGold:SetBackground(0x41007e7b);
		LabelGold:SetZOrder(-1);
		LabelGold:SetBlendMode( Turbine.UI.BlendMode.Overlay );

		AltHolicWindow.Message1=Turbine.UI.Label(); 
		AltHolicWindow.Message1:SetParent(AltHolicWindow); 
		AltHolicWindow.Message1:SetSize(50, 30); 
		AltHolicWindow.Message1:SetPosition(AltHolicWindow:GetWidth()/2 - 119, AltHolicWindow:GetHeight() - 51); 
		AltHolicWindow.Message1:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight); 
		AltHolicWindow.Message1:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
		AltHolicWindow.Message1:SetText(string.format( "%.0f", gold)); 
		AltHolicWindow.Message1:SetForeColor(Turbine.UI.Color.Gold);

		LabelGold = Turbine.UI.Label(); 
		LabelGold:SetParent( AltHolicWindow );
		LabelGold:SetPosition(AltHolicWindow:GetWidth()/2 + 7, AltHolicWindow:GetHeight() - 45);
		LabelGold:SetSize( 27, 21 );
		LabelGold:SetVisible(true);
		LabelGold:SetBackground(0x41007e7c);
		LabelGold:SetZOrder(-1);
		LabelGold:SetBlendMode( Turbine.UI.BlendMode.Overlay );

		AltHolicWindow.Message2=Turbine.UI.Label();  
		AltHolicWindow.Message2:SetParent(AltHolicWindow); 
		AltHolicWindow.Message2:SetSize(50, 30); 
		AltHolicWindow.Message2:SetPosition(AltHolicWindow:GetWidth()/2 - 43, AltHolicWindow:GetHeight() - 51); 
		AltHolicWindow.Message2:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight); 
		AltHolicWindow.Message2:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
		AltHolicWindow.Message2:SetText(string.format( "%.0f", silver));
		AltHolicWindow.Message2:SetForeColor(Turbine.UI.Color.Silver);

		LabelGold = Turbine.UI.Label(); 
		LabelGold:SetParent( AltHolicWindow );
		LabelGold:SetPosition(AltHolicWindow:GetWidth()/2 + 84, AltHolicWindow:GetHeight() - 45);
		LabelGold:SetSize( 27, 21 );
		LabelGold:SetVisible(true);
		LabelGold:SetBackground(0x41007e7d);
		LabelGold:SetZOrder(-1);
		LabelGold:SetBlendMode( Turbine.UI.BlendMode.Overlay );

		AltHolicWindow.Message3=Turbine.UI.Label(); 
		AltHolicWindow.Message3:SetParent(AltHolicWindow); 
		AltHolicWindow.Message3:SetSize(50, 30); 
		AltHolicWindow.Message3:SetPosition(AltHolicWindow:GetWidth()/2 + 34, AltHolicWindow:GetHeight() - 51); 
		AltHolicWindow.Message3:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight); 
		AltHolicWindow.Message3:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
		AltHolicWindow.Message3:SetText(string.format( "%.0f", copper));
		AltHolicWindow.Message3:SetForeColor(Turbine.UI.Color( 0.8, 0.4, 0.2));

		AltHolicWindow.Message4=Turbine.UI.Label(); 
		AltHolicWindow.Message4:SetParent(AltHolicWindow); 
		AltHolicWindow.Message4:SetSize(100, 30); 
		AltHolicWindow.Message4:SetPosition(AltHolicWindow:GetWidth()/2 - 195, AltHolicWindow:GetHeight() - 51); 
		AltHolicWindow.Message4:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight); 
		AltHolicWindow.Message4:SetFont(Turbine.UI.Lotro.Font.Verdana16);
		AltHolicWindow.Message4:SetText(Strings.PluginCashWindow5);
		--- end of cash displayer
end
------------------------------------------------------------------------------------------
--function to display the cash for the cash window --
------------------------------------------------------------------------------------------
function DisplayCashForCashWindow(posx, posy, wichOneToDisplay, i)
	
		local changeColor = false;

		if(wichOneToDisplay < 0)then
			if(settings["sessionCash"]["cashSpent"] > (settings["sessionCash"]["cashSession"] - settings["sessionCash"]["cashSpent"]))then
				cashToDisplay = settings["sessionCash"]["cashSpent"] - settings["sessionCash"]["cashSession"];
				changeColor = true;
			end

			if(settings["sessionCash"]["cashSpent"] < settings["sessionCash"]["cashSession"])then
				cashToDisplay = settings["sessionCash"]["cashSession"] - settings["sessionCash"]["cashSpent"];
			end
		else
			cashToDisplay = wichOneToDisplay;
		end

		gold = math.floor( cashToDisplay / 100000);
		silver = math.floor( cashToDisplay / 100) - gold * 1000;
		copper = cashToDisplay - gold * 100000 - silver * 100;

		LabelGold = Turbine.UI.Label(); 
		LabelGold:SetParent( UIShowCash );
		LabelGold:SetPosition(posx - 70, posy - 70);
		LabelGold:SetSize( 27, 21 );
		LabelGold:SetVisible(true);
		LabelGold:SetBackground(0x41007e7b);
		LabelGold:SetZOrder(-1);
		LabelGold:SetBlendMode( Turbine.UI.BlendMode.Overlay );

		UIShowCash.Message1=Turbine.UI.Label(); 
		UIShowCash.Message1:SetParent(UIShowCash); 
		UIShowCash.Message1:SetSize(30, 30); 
		UIShowCash.Message1:SetPosition(posx - 100, posy - 76); 
		UIShowCash.Message1:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight); 
		UIShowCash.Message1:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold19);
		UIShowCash.Message1:SetText(string.format( "%.0f", gold)); 
		--UIShowCash.Message1:SetBackColor(Turbine.UI.Color.Red); 
		if(changeColor == true)then
			UIShowCash.Message1:SetForeColor(Turbine.UI.Color.Red);
		else
			if(i == PlayerName)then
				UIShowCash.Message1:SetForeColor(Turbine.UI.Color.Lime);
		else
				UIShowCash.Message1:SetForeColor(Turbine.UI.Color.Gold);
			end
		end

		LabelGold = Turbine.UI.Label(); 
		LabelGold:SetParent( UIShowCash );
		LabelGold:SetPosition(posx + 7, posy - 70 );
		LabelGold:SetSize( 27, 21 );
		LabelGold:SetVisible(true);
		LabelGold:SetBackground(0x41007e7c);
		LabelGold:SetZOrder(-1);
		LabelGold:SetBlendMode( Turbine.UI.BlendMode.Overlay );

		UIShowCash.Message2=Turbine.UI.Label();  
		UIShowCash.Message2:SetParent(UIShowCash); 
		UIShowCash.Message2:SetSize(30, 30); 
		UIShowCash.Message2:SetPosition(posx - 23, posy - 76); 
		UIShowCash.Message2:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight); 
		UIShowCash.Message2:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold19);
		UIShowCash.Message2:SetText(string.format( "%.0f", silver));
		--UIShowCash.Message2:SetBackColor(Turbine.UI.Color.Lime); 
		if(changeColor == true)then
			UIShowCash.Message2:SetForeColor(Turbine.UI.Color.Red);
		else
			if(i == PlayerName)then
				UIShowCash.Message2:SetForeColor(Turbine.UI.Color.Lime);
			else
				UIShowCash.Message2:SetForeColor(Turbine.UI.Color.Silver);
			end
		end

		LabelGold = Turbine.UI.Label(); 
		LabelGold:SetParent( UIShowCash );
		LabelGold:SetPosition(posx + 84, posy - 70);
		LabelGold:SetSize( 27, 21 );
		LabelGold:SetVisible(true);
		LabelGold:SetBackground(0x41007e7d);
		LabelGold:SetZOrder(-1);
		LabelGold:SetBlendMode( Turbine.UI.BlendMode.Overlay );

		UIShowCash.Message3=Turbine.UI.Label(); 
		UIShowCash.Message3:SetParent(UIShowCash); 
		UIShowCash.Message3:SetSize(30, 30); 
		UIShowCash.Message3:SetPosition(posx + 54, posy - 76); 
		UIShowCash.Message3:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight); 
		UIShowCash.Message3:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold19);
		UIShowCash.Message3:SetText(string.format( "%.0f", copper));
		--UIShowCash.Message3:SetBackColor(Turbine.UI.Color.Gold); 
		if(changeColor == true)then
			UIShowCash.Message3:SetForeColor(Turbine.UI.Color.Red);
		else
			if(i == PlayerName)then
				UIShowCash.Message3:SetForeColor(Turbine.UI.Color.Lime);
			else
				UIShowCash.Message3:SetForeColor(Turbine.UI.Color( 0.8, 0.4, 0.2));
			end
		end
		posy = posy + 20;
end
------------------------------------------------------------------------------------------
--function to display the cash for the cash window --
------------------------------------------------------------------------------------------
function DisplayDailyCashForCashWindow(posx, posy, wichOneToDisplay)
	
		local changeColor = false;

		if(wichOneToDisplay < 0)then
			if(settings["dailyCash"]["cashSpent"] > (settings["dailyCash"]["cashDaily"] - settings["dailyCash"]["cashSpent"]))then
				cashToDisplay = settings["dailyCash"]["cashSpent"] - settings["dailyCash"]["cashDaily"];
				changeColor = true;
			elseif(settings["dailyCash"]["cashSpent"] < settings["dailyCash"]["cashDaily"])then
				cashToDisplay = settings["dailyCash"]["cashDaily"] - settings["dailyCash"]["cashSpent"];
			end
		else
			cashToDisplay = wichOneToDisplay;
		end

		gold = math.floor( cashToDisplay / 100000);
		silver = math.floor( cashToDisplay / 100) - gold * 1000;
		copper = cashToDisplay - gold * 100000 - silver * 100;

		LabelGold = Turbine.UI.Label(); 
		LabelGold:SetParent( UIShowCash );
		LabelGold:SetPosition(posx - 70, posy - 70);
		LabelGold:SetSize( 27, 21 );
		LabelGold:SetVisible(true);
		LabelGold:SetBackground(0x41007e7b);
		LabelGold:SetZOrder(-1);
		LabelGold:SetBlendMode( Turbine.UI.BlendMode.Overlay );

		UIShowCash.Message1=Turbine.UI.Label(); 
		UIShowCash.Message1:SetParent(UIShowCash); 
		UIShowCash.Message1:SetSize(30, 30); 
		UIShowCash.Message1:SetPosition(posx - 100, posy - 76); 
		UIShowCash.Message1:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight); 
		UIShowCash.Message1:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold19);
		UIShowCash.Message1:SetText(string.format( "%.0f", gold)); 
		--UIShowCash.Message1:SetBackColor(Turbine.UI.Color.Red); 
		if(changeColor == true)then
			UIShowCash.Message1:SetForeColor(Turbine.UI.Color.Red);
		else
			UIShowCash.Message1:SetForeColor(Turbine.UI.Color.Gold);
		end

		LabelGold = Turbine.UI.Label(); 
		LabelGold:SetParent( UIShowCash );
		LabelGold:SetPosition(posx + 7, posy - 70 );
		LabelGold:SetSize( 27, 21 );
		LabelGold:SetVisible(true);
		LabelGold:SetBackground(0x41007e7c);
		LabelGold:SetZOrder(-1);
		LabelGold:SetBlendMode( Turbine.UI.BlendMode.Overlay );

		UIShowCash.Message2=Turbine.UI.Label();  
		UIShowCash.Message2:SetParent(UIShowCash); 
		UIShowCash.Message2:SetSize(30, 30); 
		UIShowCash.Message2:SetPosition(posx - 23, posy - 76); 
		UIShowCash.Message2:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight); 
		UIShowCash.Message2:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold19);
		UIShowCash.Message2:SetText(string.format( "%.0f", silver));
		--UIShowCash.Message2:SetBackColor(Turbine.UI.Color.Lime); 
		if(changeColor == true)then
			UIShowCash.Message2:SetForeColor(Turbine.UI.Color.Red);
		else
			UIShowCash.Message2:SetForeColor(Turbine.UI.Color.Silver);
		end

		LabelGold = Turbine.UI.Label(); 
		LabelGold:SetParent( UIShowCash );
		LabelGold:SetPosition(posx + 84, posy - 70);
		LabelGold:SetSize( 27, 21 );
		LabelGold:SetVisible(true);
		LabelGold:SetBackground(0x41007e7d);
		LabelGold:SetZOrder(-1);
		LabelGold:SetBlendMode( Turbine.UI.BlendMode.Overlay );

		UIShowCash.Message3=Turbine.UI.Label(); 
		UIShowCash.Message3:SetParent(UIShowCash); 
		UIShowCash.Message3:SetSize(30, 30); 
		UIShowCash.Message3:SetPosition(posx + 54, posy - 76); 
		UIShowCash.Message3:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight); 
		UIShowCash.Message3:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold19);
		UIShowCash.Message3:SetText(string.format( "%.0f", copper));
		--UIShowCash.Message3:SetBackColor(Turbine.UI.Color.Gold); 
		if(changeColor == true)then
			UIShowCash.Message3:SetForeColor(Turbine.UI.Color.Red);
		else
			UIShowCash.Message3:SetForeColor(Turbine.UI.Color( 0.8, 0.4, 0.2));
		end
		posy = posy + 20;
end
------------------------------------------------------------------------------------------
--function to display the cash of the player in a small label --
------------------------------------------------------------------------------------------
function DisplayLabelSexe(i, posx, posy, buttonToDisplay)
	ButtonPlusSexe[i] = Turbine.UI.Extensions.SimpleWindow();
	ButtonPlusSexe[i]:SetParent( AltHolicWindow );
	ButtonPlusSexe[i]:SetPosition(posx + 40 , posy + 25);
	ButtonPlusSexe[i]:SetSize( 180, 30 );
	ButtonPlusSexe[i]:SetVisible(false);
	ButtonPlusSexe[i]:SetZOrder(20);
	ButtonPlusSexe[i]:SetBackground(ResourcePath .. "/Cadre_180_30.tga");

	centerLabelSexe[i] = Turbine.UI.Label();
	centerLabelSexe[i]:SetParent(ButtonPlusSexe[i]);
	centerLabelSexe[i]:SetPosition( 2, 2 );
	centerLabelSexe[i]:SetSize( 176, 26  );
	centerLabelSexe[i]:SetFont(Turbine.UI.Lotro.Font.Verdana20);
	if(PlayerDatas[i].sexe == nil)then
		PlayerDatas[i].sexe = "male";
	end
	if(PlayerDatas[i].sexe == "male")then
		centerLabelSexe[i]:SetText( Strings.PluginGendreText1 );
	else
		centerLabelSexe[i]:SetText( Strings.PluginGendreText2 );
	end
	centerLabelSexe[i]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabelSexe[i]:SetZOrder(21);
	centerLabelSexe[i]:SetBackColor( Turbine.UI.Color( .9, .1, .4, .9) );

	if(PlayerDatas[i].align == 1)then
		buttonToDisplay.MouseEnter = function()
			ButtonPlusSexe[i]:SetVisible(true);
		end

		buttonToDisplay.MouseLeave = function()
			ButtonPlusSexe[i]:SetVisible(false);
		end
	end

	buttonToDisplay.MouseClick = function()
		if(settings["isShowStatsVisible"]["isShowStatsVisible"] == false)then
			CreateUIShowStats(i);
			settings["isShowStatsVisible"]["isShowStatsVisible"] = true;
			UIShowStats:SetVisible(true);
		else
			settings["isShowStatsVisible"]["isShowStatsVisible"] = false;
			UIShowStats:SetVisible(false);
		end
	end
end
------------------------------------------------------------------------------------------
--function to display button for add new --
------------------------------------------------------------------------------------------
function DisplayLabel(val, positionLabelVert, positionLabelHori, textLabel, imageButton)
	
	buttonPlus[val] = Turbine.UI.Extensions.SimpleWindow();
	buttonPlus[val]:SetParent( AltHolicWindow );
	buttonPlus[val]:SetPosition(positionLabelVert, positionLabelHori);
	buttonPlus[val]:SetSize( 15, 15 );
	buttonPlus[val]:SetVisible(true);

	centerLabelB[val] = Turbine.UI.Label();
	centerLabelB[val]:SetParent(buttonPlus[val]);
	centerLabelB[val]:SetPosition( 0, 0 );
	centerLabelB[val]:SetSize( 20, 20  );
	centerLabelB[val]:SetBackground(ResourcePath .. imageButton);
	centerLabelB[val]:SetZOrder(-1);
	centerLabelB[val]:SetMouseVisible(false);

	ButtonPlusLabel[val] = Turbine.UI.Extensions.SimpleWindow();
	ButtonPlusLabel[val]:SetParent( AltHolicWindow );
	ButtonPlusLabel[val]:SetPosition(positionLabelVert + 25 , positionLabelHori - 5);
	ButtonPlusLabel[val]:SetSize( 180, 30 );
	ButtonPlusLabel[val]:SetZOrder(10000);
	ButtonPlusLabel[val]:SetVisible(false);
	ButtonPlusLabel[val]:SetBackground(ResourcePath .. "/Cadre_180_30.tga");

	centerLabelBLabel[val] = Turbine.UI.Label();
	centerLabelBLabel[val]:SetParent(ButtonPlusLabel[val]);
	centerLabelBLabel[val]:SetPosition( 2, 2 );
	centerLabelBLabel[val]:SetSize( 176, 26  );
	centerLabelBLabel[val]:SetText( textLabel );
	centerLabelBLabel[val]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabelBLabel[val]:SetZOrder(-1);
	centerLabelBLabel[val]:SetBackColor( Turbine.UI.Color( .6, .1, .4, .9) );

	buttonPlus[val].MouseEnter = function()
		ButtonPlusLabel[val]:SetVisible(true);
	end

	buttonPlus[val].MouseLeave = function()
		ButtonPlusLabel[val]:SetVisible(false);
	end

	if(val == 1)then
		buttonPlus[val].MouseClick = function()
			CreateAddNewWindow();
			AltHolicWindow:SetVisible(false);
			AltHolicAddnewWindow:SetVisible(true);
		end
	end
end
------------------------------------------------------------------------------------------
--function to display button for add new --
------------------------------------------------------------------------------------------
function DisplayLabelEpique(val, positionLabelVert, positionLabelHori, textLabel, imageButton, whereToShow)

	centerLabelB[val] = Turbine.UI.Control();
	centerLabelB[val]:SetParent(whereToShow);
	centerLabelB[val]:SetPosition( positionLabelVert, positionLabelHori );
	centerLabelB[val]:SetSize( 15, 15  );
	centerLabelB[val]:SetBackground(ResourcePath .. imageButton);
	centerLabelB[val]:SetZOrder(-1);
	centerLabelB[val]:SetMouseVisible(true);
	centerLabelB[val]:SetBlendMode(Turbine.UI.BlendMode.Overlay);

	ButtonPlusLabel[val] = Turbine.UI.Extensions.SimpleWindow();
	ButtonPlusLabel[val]:SetParent( whereToShow );
	ButtonPlusLabel[val]:SetPosition(positionLabelVert + 20 , positionLabelHori - 25);
	ButtonPlusLabel[val]:SetSize( 180, 30 );
	ButtonPlusLabel[val]:SetZOrder(10000);
	ButtonPlusLabel[val]:SetVisible(false);
	ButtonPlusLabel[val]:SetBackground(ResourcePath .. "/Cadre_180_30.tga");

	centerLabelBLabel[val] = Turbine.UI.Label();
	centerLabelBLabel[val]:SetParent(ButtonPlusLabel[val]);
	centerLabelBLabel[val]:SetPosition( 2, 2 );
	centerLabelBLabel[val]:SetSize( 176, 26  );
	centerLabelBLabel[val]:SetText( textLabel );
	centerLabelBLabel[val]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabelBLabel[val]:SetZOrder(-1);
	centerLabelBLabel[val]:SetBackColor( Turbine.UI.Color( .6, .1, .4, .9) );

	centerLabelB[val].MouseEnter = function()
		ButtonPlusLabel[val]:SetVisible(true);
	end

	centerLabelB[val].MouseLeave = function()
		ButtonPlusLabel[val]:SetVisible(false);
	end

	centerLabelB[val].MouseClick = function()
		CreateAddNewWindowEpique(nil);
		AltHolicAddnewWindowEpique:SetVisible(true);
	end
end
------------------------------------------------------------------------------------------
-- display the list of command
------------------------------------------------------------------------------------------
function commandsHelp()
	notification(
		rgb["start"] .. 
		Strings.PluginHelp1 ..
		rgb["clear"] ..
		Strings.PluginHelp2 ..
		Strings.PluginHelp3 ..
		Strings.PluginHelp4 ..
		Strings.PluginHelp5 ..
		Strings.PluginHelp6 ..
		Strings.PluginHelp7
	);
end
------------------------------------------------------------------------------------------
--function to display the small label for vocation --
------------------------------------------------------------------------------------------
function DisplaySmallLabel(i, posx, posy, texte)
	recipeTrackerIsInstalled = false;
	if(i == nil)then
		i=1;
	end

	if(i == PlayerName)then
		GetDataForProfessions();
		SavePlayerProfessions();
	end

	buttonDefineHouseLocationPersonalFaux = Turbine.UI.Extensions.SimpleWindow();
	buttonDefineHouseLocationPersonalFaux:SetParent( AltHolicWindow );
	buttonDefineHouseLocationPersonalFaux:SetPosition(posx, posy);
	buttonDefineHouseLocationPersonalFaux:SetSize( 45, 45 );
	buttonDefineHouseLocationPersonalFaux:SetVisible(true);
	buttonDefineHouseLocationPersonalFaux:SetZOrder(19);

	ButtonPlusVoc[i] = Turbine.UI.Extensions.SimpleWindow();
	ButtonPlusVoc[i]:SetParent( AltHolicWindow );
	ButtonPlusVoc[i]:SetPosition(posx - 302 , posy - 5);
	ButtonPlusVoc[i]:SetSize( 320, 420 );
	ButtonPlusVoc[i]:SetVisible(false);
	ButtonPlusVoc[i]:SetZOrder(100);
	ButtonPlusVoc[i]:SetBackground(ResourcePath .. "/Cadre_320_420.tga");

	centerLabelBVoc[i] = Turbine.UI.Label();
	centerLabelBVoc[i]:SetParent(ButtonPlusVoc[i]);
	centerLabelBVoc[i]:SetPosition( ButtonPlusVoc[i]:GetWidth()/2 - 150, 5 );
	centerLabelBVoc[i]:SetSize( 300, 30  );
	centerLabelBVoc[i]:SetFont(Turbine.UI.Lotro.Font.TrajanProBold30);
	centerLabelBVoc[i]:SetText( texte );
	centerLabelBVoc[i]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabelBVoc[i]:SetZOrder(101);
	centerLabelBVoc[i]:SetForeColor(Turbine.UI.Color.Gold);

	local posyStart = 60;
	local posxStart = 80;

	if(PlayerProfessions[i] ~= nil)then
		for x=1, 3 do
			centerLabelProf1[i] = Turbine.UI.Label();
			centerLabelProf1[i]:SetParent(ButtonPlusVoc[i]);
			centerLabelProf1[i]:SetPosition( posxStart - 30, posyStart );
			centerLabelProf1[i]:SetSize( 200, 30  );
			centerLabelProf1[i]:SetFont(Turbine.UI.Lotro.Font.TrajanProBold24);
			centerLabelProf1[i]:SetText( PlayerProfessions[i].Name[x] );
			centerLabelProf1[i]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
			centerLabelProf1[i]:SetZOrder(21);
			--centerLabelProf1[i]:SetForeColor(Turbine.UI.Color.Gold);

			centerLabelProfIcon[i] = Turbine.UI.Label();
			centerLabelProfIcon[i]:SetParent(ButtonPlusVoc[i]);
			centerLabelProfIcon[i]:SetPosition( posxStart - 70, posyStart );
			centerLabelProfIcon[i]:SetSize( 32, 32  );
			centerLabelProfIcon[i]:SetZOrder(21);

			iconsProf = {"Prof_Forester.tga",
							"Prof_Prospector.tga",
							"Prof_Armorer.tga",
							"Prof_Cook.tga",
							"Prof_Farmer.tga",
							"Prof_Historian.tga",
							"Prof_Jeweller.tga",
							"Prof_MetalSmith.tga",
							"Prof_Taillor.tga",
							"Prof_Woodsman.tga",};

			if(PlayerDatas[i].voc == 1)then
				if(x == 1)then
					centerLabelProfIcon[i]:SetBackground( ResourcePath .. iconsProf[1] ); -- explorateur
				elseif(x == 2)then
					centerLabelProfIcon[i]:SetBackground( ResourcePath .. iconsProf[9] ); -- explorateur
				elseif(x == 3)then
					centerLabelProfIcon[i]:SetBackground( ResourcePath .. iconsProf[2] ); -- explorateur
				end
			end
			if(PlayerDatas[i].voc == 2)then
				if(x == 1)then
					centerLabelProfIcon[i]:SetBackground( ResourcePath .. iconsProf[4] ); -- joaillier
				elseif(x == 2)then
					centerLabelProfIcon[i]:SetBackground( ResourcePath .. iconsProf[2] ); -- joaillier
				elseif(x == 3)then
					centerLabelProfIcon[i]:SetBackground( ResourcePath .. iconsProf[7] ); -- joaillier
				end
			end
			if(PlayerDatas[i].voc == 3)then
				if(x == 1)then
					centerLabelProfIcon[i]:SetBackground( ResourcePath .. iconsProf[4] ); -- franc-tenancier
				elseif(x == 2)then
					centerLabelProfIcon[i]:SetBackground( ResourcePath .. iconsProf[9] ); -- franc-tenancier
				elseif(x == 3)then
					centerLabelProfIcon[i]:SetBackground( ResourcePath .. iconsProf[5] ); -- franc-tenancier
				end
			end
			if(PlayerDatas[i].voc == 4)then
				if(x == 1)then
					centerLabelProfIcon[i]:SetBackground( ResourcePath .. iconsProf[6] ); -- historien
				elseif(x == 2)then
					centerLabelProfIcon[i]:SetBackground( ResourcePath .. iconsProf[5] ); -- historien
				elseif(x == 3)then
					centerLabelProfIcon[i]:SetBackground( ResourcePath .. iconsProf[3] ); -- historien
				end
			end
			if(PlayerDatas[i].voc == 5)then
				if(x == 1)then
					centerLabelProfIcon[i]:SetBackground( ResourcePath .. iconsProf[1] ); -- armurier
				elseif(x == 2)then
					centerLabelProfIcon[i]:SetBackground( ResourcePath .. iconsProf[10] ); -- armurier
				elseif(x == 3)then
					centerLabelProfIcon[i]:SetBackground( ResourcePath .. iconsProf[3] ); -- armurier
				end
			end
			if(PlayerDatas[i].voc == 6)then
				if(x == 1)then
					centerLabelProfIcon[i]:SetBackground( ResourcePath .. iconsProf[1] ); -- bucheron
				elseif(x == 2)then
					centerLabelProfIcon[i]:SetBackground( ResourcePath .. iconsProf[10] ); -- bucheron
				elseif(x == 3)then
					centerLabelProfIcon[i]:SetBackground( ResourcePath .. iconsProf[5] ); -- bucheron
				end
			end
			if(PlayerDatas[i].voc == 7)then
				centerLabelB21:SetBackground(0x4110DB15); -- ferronier
				if(x == 1)then
					centerLabelProfIcon[i]:SetBackground( ResourcePath .. iconsProf[8] ); -- ferronier
				elseif(x == 2)then
					centerLabelProfIcon[i]:SetBackground( ResourcePath .. iconsProf[9] ); -- ferronier
				elseif(x == 3)then
					centerLabelProfIcon[i]:SetBackground( ResourcePath .. iconsProf[2] ); -- ferronier
				end
			end


			-- current lvl profession
			split_string = Split(PlayerProfessions[i].CurrentLvl[x], "\n");

			centerLabelTier1[i] = Turbine.UI.Label();
			centerLabelTier1[i]:SetParent(ButtonPlusVoc[i]);
			centerLabelTier1[i]:SetPosition( posxStart - 5, posyStart + 27 );
			centerLabelTier1[i]:SetSize( 280, 30  );
			centerLabelTier1[i]:SetFont(Turbine.UI.Lotro.Font.TrajanProBold16);
			centerLabelTier1[i]:SetText( split_string[1] );
			centerLabelTier1[i]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
			centerLabelTier1[i]:SetZOrder(21);
			centerLabelTier1[i]:SetForeColor(Turbine.UI.Color( 0.8, 0.4, 0.2));

			centerLabelTier1[i] = Turbine.UI.Label();
			centerLabelTier1[i]:SetParent(ButtonPlusVoc[i]);
			centerLabelTier1[i]:SetPosition( posxStart - 5, posyStart + 42 );
			centerLabelTier1[i]:SetSize( 280, 30  );
			centerLabelTier1[i]:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold18);
			centerLabelTier1[i]:SetText( split_string[2] );
			centerLabelTier1[i]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
			centerLabelTier1[i]:SetZOrder(21);
			centerLabelTier1[i]:SetForeColor(Turbine.UI.Color( 0.8, 0.4, 0.2));

			centerLabelTier1[i] = Turbine.UI.Label();
			centerLabelTier1[i]:SetParent(ButtonPlusVoc[i]);
			centerLabelTier1[i]:SetPosition( posxStart - 40, posyStart + 32 );
			centerLabelTier1[i]:SetSize( 27, 17  );
			centerLabelTier1[i]:SetZOrder(21);
			centerLabelTier1[i]:SetBackground( ResourcePath .. "icon_craft_proficient.tga" );
			centerLabelTier1[i]:SetBlendMode( Turbine.UI.BlendMode.Overlay );


			-- current mastery profession
			split_string = Split(PlayerProfessions[i].currentMastery[x], "\n");

			centerLabelTier2[i] = Turbine.UI.Label();
			centerLabelTier2[i]:SetParent(ButtonPlusVoc[i]);
			centerLabelTier2[i]:SetPosition( posxStart - 5, posyStart + 67 );
			centerLabelTier2[i]:SetSize( 280, 30  );
			centerLabelTier2[i]:SetFont(Turbine.UI.Lotro.Font.TrajanProBold16);
			centerLabelTier2[i]:SetText( split_string[1] );
			centerLabelTier2[i]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
			centerLabelTier2[i]:SetZOrder(21);
			centerLabelTier2[i]:SetForeColor(Turbine.UI.Color(1, 0.9, 0.5));

			centerLabelTier2[i] = Turbine.UI.Label();
			centerLabelTier2[i]:SetParent(ButtonPlusVoc[i]);
			centerLabelTier2[i]:SetPosition( posxStart - 5, posyStart + 82 );
			centerLabelTier2[i]:SetSize( 280, 30  );
			centerLabelTier2[i]:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold18);
			centerLabelTier2[i]:SetText( split_string[2] );
			centerLabelTier2[i]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
			centerLabelTier2[i]:SetZOrder(21);
			centerLabelTier2[i]:SetForeColor(Turbine.UI.Color(1, 0.9, 0.5));

			centerLabelTier2[i] = Turbine.UI.Label();
			centerLabelTier2[i]:SetParent(ButtonPlusVoc[i]);
			centerLabelTier2[i]:SetPosition( posxStart - 40, posyStart + 72 );
			centerLabelTier2[i]:SetSize( 27, 17  );
			centerLabelTier2[i]:SetZOrder(21);
			centerLabelTier2[i]:SetBackground( ResourcePath .. "icon_craft_master.tga" );
			centerLabelTier2[i]:SetBlendMode( Turbine.UI.BlendMode.Overlay );

			posyStart = posyStart + 120;
		end
	else
		centerLabelProf1[i] = Turbine.UI.Label();
		centerLabelProf1[i]:SetParent(ButtonPlusVoc[i]);
		centerLabelProf1[i]:SetPosition( 25, 100 );
		centerLabelProf1[i]:SetSize( 250, 100  );
		centerLabelProf1[i]:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
		centerLabelProf1[i]:SetText( Strings.PluginStats10 );
		centerLabelProf1[i]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
		centerLabelProf1[i]:SetZOrder(21);
	end


	local tmpPlugins=Turbine.PluginManager.GetAvailablePlugins();
	local pluginIndex;
	RecipeTracker=0
	for pluginIndex=1,#tmpPlugins do
		if tmpPlugins[pluginIndex].Name=="RecipeTracker v2" then
			recipeTrackerIsInstalled = true;
			break;
		end
	end

	if(recipeTrackerIsInstalled == true)then
		releaseWindow = Turbine.UI.Extensions.SimpleWindow();
		releaseWindow:SetSize( 45, 45 );
		releaseWindow:SetParent( buttonDefineHouseLocationPersonalFaux );
		releaseWindow:SetPosition(4, 2);
		releaseWindow:SetOpacity( 0 );
		releaseWindow:SetFadeSpeed( 0.5 );
		releaseWindow:SetVisible( true );

		releaseQSBack = Turbine.UI.Control();
		releaseQSBack:SetParent( releaseWindow );
		releaseQSBack:SetZOrder(-1);
		releaseQSBack:SetSize( 45, 45 );

		releaseQS = Turbine.UI.Lotro.Quickslot();
		releaseQS:SetParent(  releaseQSBack );
		releaseQS:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias, "/recipetracker show"));
		releaseQS:SetSize( 45, 45 );
		releaseQS:SetPosition( 4, 2 );
		releaseQS:SetAllowDrop(false);
		releaseQS:SetOpacity( 0 );
		releaseQS:SetZOrder(-1);
	end

	buttonDefineHouseLocationPersonalFaux.MouseEnter = function()
		ButtonPlusVoc[i]:SetVisible(true);
	end

	buttonDefineHouseLocationPersonalFaux.MouseLeave = function()
		ButtonPlusVoc[i]:SetVisible(false);
	end
end
------------------------------------------------------------------------------------------
--function to display the small label for search --
------------------------------------------------------------------------------------------
function DisplayLabelCadre(i, posx, posy, texte, buttonToDisplay)

	ButtonPlusLab[i] = Turbine.UI.Extensions.SimpleWindow();
	ButtonPlusLab[i]:SetParent( AltHolicWindow );
	ButtonPlusLab[i]:SetPosition(posx + 40 , posy - 5);
	ButtonPlusLab[i]:SetSize( 180, 30 );
	ButtonPlusLab[i]:SetVisible(false);
	ButtonPlusLab[i]:SetZOrder(20);
	ButtonPlusLab[i]:SetBackground(ResourcePath .. "/Cadre_180_30.tga");

	centerLabelBLab[i] = Turbine.UI.Label();
	centerLabelBLab[i]:SetParent(ButtonPlusLab[i]);
	centerLabelBLab[i]:SetPosition( 2, 2 );
	centerLabelBLab[i]:SetSize( 176, 26  );
	centerLabelBLab[i]:SetFont(Turbine.UI.Lotro.Font.Verdana20);
	centerLabelBLab[i]:SetText( texte );
	centerLabelBLab[i]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabelBLab[i]:SetZOrder(21);
	centerLabelBLab[i]:SetBackColor( Turbine.UI.Color( .8, .1, .4, .9) );

	buttonToDisplay.MouseEnter = function()
		ButtonPlusLab[i]:SetVisible(true);
		if(i == 11)then
			centerLabelIsVisibleSearch:SetBackground(0x410D6DC3); -- search loupe -- serach loupe not over = 0x410D6DC4
		end
	end

	buttonToDisplay.MouseLeave = function()
		ButtonPlusLab[i]:SetVisible(false);
		if(i == 11)then
			centerLabelIsVisibleSearch:SetBackground(0x410D6DC2); -- search loupe -- serach loupe not over = 0x410D6DC4
		end
	end
end
------------------------------------------------------------------------------------------
--function to display the small label for equipment --
------------------------------------------------------------------------------------------
function DisplayLabelEquipment(i,  posx, posy, namePlayerToshow, buttonToDisplay)
	-- display small label with description
	
	ButtonEquipItem[i] = Turbine.UI.Extensions.SimpleWindow();
	ButtonEquipItem[i]:SetParent( UIShowEquip );
	ButtonEquipItem[i]:SetPosition(posx + 120 , UIShowEquip:GetHeight() - 450);
	ButtonEquipItem[i]:SetSize( 300, 300 );
	ButtonEquipItem[i]:SetVisible(false);
	ButtonEquipItem[i]:SetZOrder(20);
	ButtonEquipItem[i]:SetBackground(ResourcePath .. "/Cadre_300_300.tga");

	centerEquipItem[i] = Turbine.UI.Label();
	centerEquipItem[i]:SetParent(ButtonEquipItem[i]);
	centerEquipItem[i]:SetPosition( 10, 50 );
	centerEquipItem[i]:SetSize( 280, 180 );
	centerEquipItem[i]:SetFont(Turbine.UI.Lotro.Font.BookAntiqua18);
	local tmpDesc = string.find(tostring(PlayerEquipement[namePlayerToshow][i].D), "error");
	if(tmpDesc == nil)then
		if(PlayerEquipement[namePlayerToshow][i].D ~= nil)then
			centerEquipItem[i]:SetText(Strings.PluginDescription .. " : \n" .. tostring(PlayerEquipement[namePlayerToshow][i].D) );
		else
			centerEquipItem[i]:SetText(Strings.PluginDescription .. " : \n" );
		end
	else
		centerEquipItem[i]:SetText(Strings.PluginDescription .. " : \n" );
	end
	centerEquipItem[i]:SetTextAlignment( Turbine.UI.ContentAlignment.TopLeft );
	centerEquipItem[i]:SetZOrder(21);

	centerEquipItem2ab[i] = Turbine.UI.Label();
	centerEquipItem2ab[i]:SetParent(ButtonEquipItem[i]);
	centerEquipItem2ab[i]:SetPosition( 5, 5 );
	centerEquipItem2ab[i]:SetSize( 40, 40  );
	centerEquipItem2ab[i]:SetFont(Turbine.UI.Lotro.Font.BookAntiqua18);
	centerEquipItem2ab[i]:SetBackground(0x410e8680);
	--centerEquipItem2[i]:SetBlendMode( Turbine.UI.BlendMode.Overlay );
	centerEquipItem2ab[i]:SetZOrder(20);

	centerEquipItem2a[i] = Turbine.UI.Label();
	centerEquipItem2a[i]:SetParent(centerEquipItem2ab[i]);
	centerEquipItem2a[i]:SetPosition( 5, 5 );
	centerEquipItem2a[i]:SetSize( 32, 32  );
	centerEquipItem2a[i]:SetFont(Turbine.UI.Lotro.Font.BookAntiqua18);
	centerEquipItem2a[i]:SetBackground(tonumber(PlayerEquipement[namePlayerToshow][i].B));
	--centerEquipItem2[i]:SetBlendMode( Turbine.UI.BlendMode.Overlay );
	centerEquipItem2a[i]:SetZOrder(20);

	centerEquipItem2[i] = Turbine.UI.Label();
	centerEquipItem2[i]:SetParent(centerEquipItem2ab[i]);
	centerEquipItem2[i]:SetPosition( 5, 5 );
	centerEquipItem2[i]:SetSize( 32, 32  );
	centerEquipItem2[i]:SetFont(Turbine.UI.Lotro.Font.BookAntiqua18);
	centerEquipItem2[i]:SetText( "" );
	centerEquipItem2[i]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
	centerEquipItem2[i]:SetBackground(tonumber(PlayerEquipement[namePlayerToshow][i].I));
	centerEquipItem2[i]:SetBlendMode( Turbine.UI.BlendMode.Overlay );
	centerEquipItem2[i]:SetZOrder(21);

	centerEquipItem3[i] = Turbine.UI.Label();
	centerEquipItem3[i]:SetParent(ButtonEquipItem[i]);
	centerEquipItem3[i]:SetPosition( 55, 5 );
	centerEquipItem3[i]:SetSize( 245, 32  );
	centerEquipItem3[i]:SetFont(Turbine.UI.Lotro.Font.BookAntiqua18);
	centerEquipItem3[i]:SetText(PlayerEquipement[namePlayerToshow][i].N );
	centerEquipItem3[i]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
	centerEquipItem3[i]:SetZOrder(21);

	centerEquipItem9[i] = Turbine.UI.Label();
	centerEquipItem9[i]:SetParent(ButtonEquipItem[i]);
	centerEquipItem9[i]:SetPosition( 5, 230 );
	centerEquipItem9[i]:SetSize( 245, 32  );
	centerEquipItem9[i]:SetFont(Turbine.UI.Lotro.Font.BookAntiqua18);
	if(PlayerEquipement[namePlayerToshow][i].lvl ~= nil and PlayerEquipement[namePlayerToshow][i].lvl ~= 0)then
		centerEquipItem9[i]:SetText( Strings.PluginEquipement3 .. " : " .. tostring(PlayerEquipement[namePlayerToshow][i].lvl));
	else
		centerEquipItem9[i]:SetText("");
	end
	centerEquipItem9[i]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
	centerEquipItem9[i]:SetZOrder(22);

	centerEquipItem19[i] = Turbine.UI.Label();
	centerEquipItem19[i]:SetParent(ButtonEquipItem[i]);
	centerEquipItem19[i]:SetPosition( 5, 210 );
	centerEquipItem19[i]:SetSize( 245, 32  );
	centerEquipItem19[i]:SetFont(Turbine.UI.Lotro.Font.BookAntiqua18);
	if(PlayerEquipement[namePlayerToshow][i].armor ~= nil and PlayerEquipement[namePlayerToshow][i].armor ~= 0 and PlayerEquipement[namePlayerToshow][i].armor ~= "")then
		if(i == "PrimaryWeapon" or
			i == "RangedWeapon")then
			centerEquipItem19[i]:SetText( "DPS : " .. tostring(PlayerEquipement[namePlayerToshow][i].armor));
		elseif(i == "Shield")then
			if(PlayerEquipement[namePlayerToshow][i].CAT == 33)then
				centerEquipItem19[i]:SetText( Strings.PluginEquipement4 .. " : " .. comma_value(tostring(PlayerEquipement[namePlayerToshow][i].armor)));
			else
				centerEquipItem19[i]:SetText( "DPS : " .. comma_value(tostring(PlayerEquipement[namePlayerToshow][i].armor)));
			end
		elseif(i == "Bracelet1" or
			i == "Bracelet2" or
			i == "Earring1" or
			i == "Earring2" or
			i == "Ring1" or
			i == "Ring2" or
			i == "Necklace" or
			i == "CraftTool" or
			i == "ClassE" or
			i == "Pocket")then
			centerEquipItem19[i]:SetText("");
		else
			centerEquipItem19[i]:SetText(Strings.PluginEquipement4 .. " : " .. comma_value(tostring(PlayerEquipement[namePlayerToshow][i].armor)));
		end
	end

	centerEquipItem19[i]:SetForeColor( Turbine.UI.Color(1, 0.9, 0.5) );
	centerEquipItem19[i]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
	centerEquipItem19[i]:SetZOrder(22);

	centerEquipItem4[i] = Turbine.UI.Label();
	centerEquipItem4[i]:SetParent(ButtonEquipItem[i]);
	centerEquipItem4[i]:SetPosition( 5, 250 );
	centerEquipItem4[i]:SetSize( 180, 32  );
	centerEquipItem4[i]:SetFont(Turbine.UI.Lotro.Font.BookAntiqua18);
	--centerEquipItem4[i]:SetText("Quality : " .. PlayerEquipement[namePlayerToshow][i].QA);
	if(PlayerEquipement[namePlayerToshow][i].QA == 0)then
		centerEquipItem4[i]:SetForeColor(Turbine.UI.Color( 1, 0.7, 0 )); -- grey
		centerEquipItem3[i]:SetForeColor(Turbine.UI.Color( 1, 0.7, 0 )); -- grey
		centerEquipItem4[i]:SetText(Strings.PluginQuality .. " : " .. Strings.PluginQuality6);
	elseif(PlayerEquipement[namePlayerToshow][i].QA == 1)then
		centerEquipItem4[i]:SetForeColor(Turbine.UI.Color.Gold); 
		centerEquipItem3[i]:SetForeColor(Turbine.UI.Color.Gold); 
		centerEquipItem4[i]:SetText(Strings.PluginQuality .. " : " .. Strings.PluginQuality3);
	elseif(PlayerEquipement[namePlayerToshow][i].QA == 2)then
		if(PlayerEquipement[namePlayerToshow][i].U == 0)then
			centerEquipItem4[i]:SetForeColor(Turbine.UI.Color.Gold); 
			centerEquipItem3[i]:SetForeColor(Turbine.UI.Color.Gold); 
			centerEquipItem4[i]:SetText(Strings.PluginQuality .. " : " .. Strings.PluginQuality3);
		else
			centerEquipItem4[i]:SetForeColor(Turbine.UI.Color( 1, 0, 1 )); -- purple
			centerEquipItem3[i]:SetForeColor(Turbine.UI.Color( 1, 0, 1 )); -- purple
			centerEquipItem4[i]:SetText(Strings.PluginQuality .. " : " .. Strings.PluginQuality2);
		end
	elseif(PlayerEquipement[namePlayerToshow][i].QA == 3)then
		centerEquipItem4[i]:SetForeColor(Turbine.UI.Color( 0, 0.66, 0.75)); -- blue
		centerEquipItem3[i]:SetForeColor(Turbine.UI.Color( 0, 0.66, 0.75)); -- blue
		centerEquipItem4[i]:SetText(Strings.PluginQuality .. " : " .. Strings.PluginQuality4);
	elseif(PlayerEquipement[namePlayerToshow][i].QA == 4)then
		centerEquipItem4[i]:SetForeColor(Turbine.UI.Color( 0.33, 0.66, 0.33 )); -- green
		centerEquipItem3[i]:SetForeColor(Turbine.UI.Color( 0.33, 0.66, 0.33 )); -- green
		centerEquipItem4[i]:SetText(Strings.PluginQuality .. " : " .. Strings.PluginQuality5);
	elseif(PlayerEquipement[namePlayerToshow][i].QA == 5)then
		centerEquipItem4[i]:SetForeColor(Turbine.UI.Color( 0.5, 0.5, 0.5 )); -- grey
		centerEquipItem3[i]:SetForeColor(Turbine.UI.Color( 0.5, 0.5, 0.5 )); -- grey
		centerEquipItem4[i]:SetText(Strings.PluginQuality .. " : " .. Strings.PluginQuality1);
	end
	centerEquipItem4[i]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
	--centerEquipItem4[i]:SetForeColor( Turbine.UI.Color.Lime );
	centerEquipItem4[i]:SetZOrder(21);

	local wareS = PlayerEquipement[namePlayerToshow][i].WS;
	local wareSPoints = 0;

	if wareS == 0 then
		wareSPoints = -1; -- undefined
	elseif wareS == 3 then
		wareSPoints = 0; -- Broken / cassé
	elseif wareS == 1 then
		wareSPoints = 20; -- Damaged / endommagé
	elseif wareS == 4 then
		wareSPoints = 99; -- Worn / usé
	elseif wareS == 2 then
		wareSPoints = 100;
	end -- Pristine / parfait

	centerEquipItem5[i] = Turbine.UI.Label();
	centerEquipItem5[i]:SetParent(ButtonEquipItem[i]);
	centerEquipItem5[i]:SetPosition( 5, 270 );
	centerEquipItem5[i]:SetSize( 180, 32  );
	centerEquipItem5[i]:SetFont(Turbine.UI.Lotro.Font.BookAntiqua18);
	--centerEquipItem5[i]:SetText("Durability : " .. PlayerEquipement[namePlayerToshow][i].DU);
	centerEquipItem5[i]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );

	if(wareSPoints == 0)then 
		centerEquipItem5[i]:SetForeColor(Turbine.UI.Color.Red);
		centerEquipItem5[i]:SetText(Strings.PluginDurability .. " : " .. tostring(wareSPoints) .. "%");
	elseif(wareSPoints == 20)then
		centerEquipItem5[i]:SetForeColor(Turbine.UI.Color( 1, 0.7, 0 ));
		centerEquipItem5[i]:SetText(Strings.PluginDurability .. " : " .. tostring(wareSPoints) .. "%");
	elseif(wareSPoints == 99)then 
		centerEquipItem5[i]:SetForeColor(Turbine.UI.Color.Gold);
		centerEquipItem5[i]:SetText(Strings.PluginDurability .. " : " .. tostring(wareSPoints) .. "%");
	elseif(wareSPoints == 100)then 
		centerEquipItem5[i]:SetForeColor(Turbine.UI.Color.White);
		centerEquipItem5[i]:SetText(Strings.PluginDurability .. " : " .. tostring(wareSPoints) .. "%");
	elseif(wareSPoints == -1)then 
		centerEquipItem5[i]:SetForeColor(Turbine.UI.Color( 0.4, 0.4, 0.4)); -- light grey
		centerEquipItem5[i]:SetText(PluginNoDurability);
	end
	--centerEquipItem4[i]:SetForeColor( Turbine.UI.Color.Lime );
	centerEquipItem5[i]:SetZOrder(21);


	buttonToDisplay.MouseEnter = function()
		ButtonEquipItem[i]:SetVisible(true);
	end

	buttonToDisplay.MouseLeave = function()
		ButtonEquipItem[i]:SetVisible(false);
	end
	--- end label description
end
------------------------------------------------------------------------------------------
-- function to update the lvl of the player --
------------------------------------------------------------------------------------------
function UpdateLvl()
	local curentLvl = Player:GetLevel();

	if(settings["nameAccount"]["account1"]["nbrAlt"] >= 1)then
		if(PlayerDatas[PlayerName].lvl < curentLvl)then
			PlayerDatas[PlayerName].lvl = curentLvl;
			settings["nameAccount"]["account1"]["isVisible"] = false;
			UpdateMainWindow();
			SavePlayerDatas();
		end
	end
end
------------------------------------------------------------------------------------------
-- function to compte the bags of cash in sharedstorage --
------------------------------------------------------------------------------------------
function CompteSharedStorageGold()
    local storagesize = sspack:GetCount();
    local sharedmoney = 0;
    local i;
    for i = 1, storagesize do
        local item = sspack:GetItem(i);
        if (item ~= nil) then
            local name = item:GetName();
            local count = item:GetQuantity();

			if Turbine.Engine.GetLanguage() == Turbine.Language.German then
				if (name == "Beutel mit Goldm\195\188nzen" )then -- Gold Bag
					sharedmoney = sharedmoney + ( count * 1000000 )
				elseif (name == "Beutel mit Silberm\195\188nzen" )then -- Silver Bag
					sharedmoney = sharedmoney + ( count * 100000 )
				elseif (name == "Beutel mit Kupferm\195\188nzen" )then -- Copper Bag
					sharedmoney = sharedmoney + ( count * 10000 )
				end
			elseif Turbine.Engine.GetLanguage() == Turbine.Language.French then
				if (name == "Sac de pi\195\168ces d'or" )then -- Gold Bag
					sharedmoney = sharedmoney + ( count * 1000000 )
				elseif (name == "Sac de pi\195\168ces d'argent" )then -- Silver Bag
					sharedmoney = sharedmoney + ( count * 100000 )
				elseif (name == "Sac de pi\195\168ces de cuivre" )then -- Copper Bag
					sharedmoney = sharedmoney + ( count * 10000 )
				end
			elseif Turbine.Engine.GetLanguage() == Turbine.Language.English then
				if (name == "Bag of Gold Coins" )then -- Gold Bag
					sharedmoney = sharedmoney + ( count * 1000000 )
				elseif (name == "Bag of Silver Coins" )then -- Silver Bag
					sharedmoney = sharedmoney + ( count * 100000 )
				elseif (name == "Bag of Copper Coins" )then -- Copper Bag
					sharedmoney = sharedmoney + ( count * 10000 )
				end
			end
        end
    end

    return sharedmoney;
end
------------------------------------------------------------------------------------------
-- function to compte the bags of cash in bag --
------------------------------------------------------------------------------------------
function CompteBagGold()
    local backpackSize = backpack:GetSize();
    local bagMoney = 0;
    local i;
    for i = 1, backpackSize do
        local item = backpack:GetItem(i);
        if (item ~= nil) then
            local name = item:GetName();
            local count = item:GetQuantity();

            if Turbine.Engine.GetLanguage() == Turbine.Language.German then
				if (name == "Beutel mit Goldm\195\188nzen" )then -- Gold Bag
					bagMoney = bagMoney + ( count * 1000000 )
				elseif (name == "Beutel mit Silberm\195\188nzen" )then -- Silver Bag
					bagMoney = bagMoney + ( count * 100000 )
				elseif (name == "Beutel mit Kupferm\195\188nzen" )then -- Copper Bag
					bagMoney = bagMoney + ( count * 10000 )
				end
			elseif Turbine.Engine.GetLanguage() == Turbine.Language.French then
				if (name == "Sac de pi\195\168ces d'or" )then -- Gold Bag
					bagMoney = bagMoney + ( count * 1000000 )
				elseif (name == "Sac de pi\195\168ces d'argent" )then -- Silver Bag
					bagMoney = bagMoney + ( count * 100000 )
				elseif (name == "Sac de pi\195\168ces de cuivre" )then -- Copper Bag
					bagMoney = bagMoney + ( count * 10000 )
				end
			elseif Turbine.Engine.GetLanguage() == Turbine.Language.English then
				if (name == "Bag of Gold Coins" )then -- Gold Bag
					bagMoney = bagMoney + ( count * 1000000 )
				elseif (name == "Bag of Silver Coins" )then -- Silver Bag
					bagMoney = bagMoney + ( count * 100000 )
				elseif (name == "Bag of Copper Coins" )then -- Copper Bag
					bagMoney = bagMoney + ( count * 10000 )
				end
			end
        end
    end

    return bagMoney;
end
------------------------------------------------------------------------------------------
-- function to compte the bags of cash in vault --
------------------------------------------------------------------------------------------
function CompteVaultGold()
    local vaultpackSize = vaultpack:GetCapacity();
    local vaultMoney = 0;
    local i;
    for i = 1, vaultpackSize do
        local item = vaultpack:GetItem(i);
        if (item ~= nil) then
            local name = item:GetName();
            local count = item:GetQuantity();

            if Turbine.Engine.GetLanguage() == Turbine.Language.German then
				if (name == "Beutel mit Goldm\195\188nzen" )then -- Gold Bag
					vaultMoney = vaultMoney + ( count * 1000000 )
				elseif (name == "Beutel mit Silberm\195\188nzen" )then -- Silver Bag
					vaultMoney = vaultMoney + ( count * 100000 )
				elseif (name == "Beutel mit Kupferm\195\188nzen" )then -- Copper Bag
					vaultMoney = vaultMoney + ( count * 10000 )
				end
			elseif Turbine.Engine.GetLanguage() == Turbine.Language.French then
				if (name == "Sac de pi\195\168ces d'or" )then -- Gold Bag
					vaultMoney = vaultMoney + ( count * 1000000 )
				elseif (name == "Sac de pi\195\168ces d'argent" )then -- Silver Bag
					vaultMoney = vaultMoney + ( count * 100000 )
				elseif (name == "Sac de pi\195\168ces de cuivre" )then -- Copper Bag
					vaultMoney = vaultMoney + ( count * 10000 )
				end
			elseif Turbine.Engine.GetLanguage() == Turbine.Language.English then
				if (name == "Bag of Gold Coins" )then -- Gold Bag
					vaultMoney = vaultMoney + ( count * 1000000 )
				elseif (name == "Bag of Silver Coins" )then -- Silver Bag
					vaultMoney = vaultMoney + ( count * 100000 )
				elseif (name == "Bag of Copper Coins" )then -- Copper Bag
					vaultMoney = vaultMoney + ( count * 10000 )
				end
			end
        end
    end

    return vaultMoney;
end
------------------------------------------------------------------------------------------
-- function to display the cash of the player --
------------------------------------------------------------------------------------------
function UpdateCash()
	local currentCash = PlayerAttr:GetMoney();
	local currentCashBag = tonumber(CompteBagGold());
	local currentCashVault = tonumber(CompteVaultGold());

	--Turbine.Shell.WriteLine("----------------------------------------------");
	--Turbine.Shell.WriteLine("curent cash : " .. tostring(currentCash));
	--Turbine.Shell.WriteLine("bag cash : " .. tostring(CompteBagGold()));
	--Turbine.Shell.WriteLine("vault cash : " .. tostring(CompteVaultGold()));
	--Turbine.Shell.WriteLine("sharedstorage cash : " .. tostring(CompteSharedStorageGold()));
	--Turbine.Shell.WriteLine("current cash total : " .. tostring((currentCash + currentCashBag + currentCashVault)));

	if(settings["sharedStorageCash"]["value"] ~= CompteSharedStorageGold())then
		settings["sharedStorageCash"]["value"] = CompteSharedStorageGold();
		UpdateMainWindow();
	end

	if(PlayerDatas[PlayerName].bagCash ~= currentCashBag)then
		PlayerDatas[PlayerName].bagCash = currentCashBag;
		UpdateMainWindow();
	end

	if(PlayerDatas[PlayerName].vaultCash ~= currentCashVault)then
		PlayerDatas[PlayerName].vaultCash = currentCashVault;
		UpdateMainWindow();
	end

	if(settings["nameAccount"]["account1"]["nbrAlt"] >= 1)then
		if(PlayerDatas[PlayerName].cash < currentCash)then
			settings["sessionCash"]["cashSession"] = settings["sessionCash"]["cashSession"] + (currentCash - PlayerDatas[PlayerName].cash);
			settings["dailyCash"]["cashDaily"] = settings["dailyCash"]["cashDaily"] + (currentCash - PlayerDatas[PlayerName].cash);
			PlayerDatas[PlayerName].cash = currentCash;

			UpdateMainWindow();
			SavePlayerDatas();
		elseif(PlayerDatas[PlayerName].cash > currentCash)then
			settings["sessionCash"]["cashSpent"] = settings["sessionCash"]["cashSpent"] + (PlayerDatas[PlayerName].cash - currentCash);
			settings["dailyCash"]["cashSpent"] = settings["dailyCash"]["cashSpent"] + (PlayerDatas[PlayerName].cash - currentCash);
			PlayerDatas[PlayerName].cash = currentCash;

			UpdateMainWindow();
			SavePlayerDatas();
		end
	end
end
------------------------------------------------------------------------------------------
-- function to delete all datas --
------------------------------------------------------------------------------------------
function ClearAllPlayer()
	for i in pairs(PlayerDatas) do
		if(i ~= PlayerName)then
			PlayerDatas[i] = nil;
			PlayerVault[i] = nil;
			PlayerBags[i] = nil;
			PlayerWallet[i] = nil;
			PlayerEquipement[i] = nil;
			settings["nameAccount"]["account1"]["nbrAlt"] = settings["nameAccount"]["account1"]["nbrAlt"] - 1;
		end
	end
	SavePlayerDatas();
	SavePlayerVault();
	SavePlayerBags();
	SavePlayerWallet();
	SavePlayerEquipment();
	SharedStorageVault = nil;
	SaveSharedStorage();
	settings["nameAccount"]["account1"]["nbrAlt"] = 0;
	settings["nameAccount"]["account1"]["name"] = "";
	settings["nameAccount"]["account1"]["isVisible"] = true;
	UpdateMainWindow();
end
------------------------------------------------------------------------------------------
-- function to delete a player datas --
------------------------------------------------------------------------------------------
function ClearPlayer(NamePlayerToDelete)
	PlayerDatas[NamePlayerToDelete] = nil;
	SavePlayerDatas();
	settings["nameAccount"]["account1"]["nbrAlt"] = settings["nameAccount"]["account1"]["nbrAlt"] - 1;
	ClearPlayerVault(NamePlayerToDelete);
	ClearPlayerBag(NamePlayerToDelete);
	ClearPlayerWallet(NamePlayerToDelete);
	ClearPlayerEquipment(NamePlayerToDelete);
	UpdateMainWindow();
end
------------------------------------------------------------------------------------------
-- function to delete a player vault --
------------------------------------------------------------------------------------------
function ClearPlayerVault(NamePlayerToDelete)
	PlayerVault[NamePlayerToDelete] = nil;
	SavePlayerVault();
end
------------------------------------------------------------------------------------------
-- function to delete a player bag --
------------------------------------------------------------------------------------------
function ClearPlayerBag(NamePlayerToDelete)
	PlayerBags[NamePlayerToDelete] = nil;
	SavePlayerBags();
end
------------------------------------------------------------------------------------------
-- function to delete a player wallet --
------------------------------------------------------------------------------------------
function ClearPlayerWallet(NamePlayerToDelete)
	PlayerWallet[NamePlayerToDelete] = nil;
	SavePlayerWallet();
end
------------------------------------------------------------------------------------------
-- function to delete a player equipment --
------------------------------------------------------------------------------------------
function ClearPlayerEquipment(NamePlayerToDelete)
	PlayerEquipement[NamePlayerToDelete] = nil;
	SavePlayerEquipment();
end
------------------------------------------------------------------------------------------
-- function to return nbrItems, nbrplayer, nbrlines for bag --
------------------------------------------------------------------------------------------
function ReturnNbrItemsInBag(textToSearch)
	local nbrItems = 0;
	local nbrItemsDuPerso = 0;
	local nbrPlayer = 0;
	local playerCount = false;
	local nbrLines = 0;

		if(textToSearch == nil)then
		-- do nothing
		else
			for namePlayerToshow in pairs(PlayerBags) do
				for i in pairs(PlayerBags[namePlayerToshow]) do
					if(string.find(PlayerBags[namePlayerToshow][i].N, textToSearch) ~= nil)then
						nbrItems = nbrItems + 1;
						nbrItemsDuPerso = nbrItemsDuPerso + 1;
						if(playerCount == false)then
							nbrPlayer = nbrPlayer + 1;
							playerCount = true;
						end
					end
				end
				if((nbrItemsDuPerso % 9) > 0)then
					nbrLines = nbrLines + 1;
				end
				nbrLines = nbrLines + math.floor(nbrItemsDuPerso / 9);
				nbrItemsDuPerso = 0;
				playerCount = false;
			end
		end
	return nbrItems, nbrPlayer, nbrLines;
end
------------------------------------------------------------------------------------------
-- function to return nbrItems, nbrplayer, nbrlines for vault --
------------------------------------------------------------------------------------------
function ReturnNbrItemsInVault(textToSearch)
	local nbrItems = 0;
	local nbrPlayer = 0;
	local playerCount = false;
	local nbrLines = 0;
	local nbrItemsDuPerso = 0;
	
	if(textToSearch == nil)then
		-- do nothing
		else
			for namePlayerToshow in pairs(PlayerVault) do
				for i in pairs(PlayerVault[namePlayerToshow]) do
					if(string.find(PlayerVault[namePlayerToshow][i].N, textToSearch) ~= nil)then
						nbrItems = nbrItems + 1;
						nbrItemsDuPerso = nbrItemsDuPerso + 1;
						if(playerCount == false)then
							nbrPlayer = nbrPlayer + 1;
							playerCount = true;
						end
					end
				end
				if((nbrItemsDuPerso % 9) > 0)then
					nbrLines = nbrLines + 1;
				end
				nbrLines = nbrLines + math.floor(nbrItemsDuPerso / 9);
				nbrItemsDuPerso = 0;
				playerCount = false;
			end
		end
	return nbrItems, nbrPlayer, nbrLines;
end
------------------------------------------------------------------------------------------
-- function to return nbrItems, nbrplayer, nbrlines for wallet --
------------------------------------------------------------------------------------------
function ReturnNbrItemsInWallet(textToSearch)
	local nbrItems = 0;
	local nbrItemsDuPerso = 0;
	local nbrPlayer = 0;
	local playerCount = false;
	local nbrLines = 0;
	
	if(textToSearch == nil)then
		-- do nothing
		else
			for namePlayerToshow in pairs(PlayerWallet) do
				for i in pairs(PlayerWallet[namePlayerToshow]) do
					if(string.find(PlayerWallet[namePlayerToshow][i].N, textToSearch) ~= nil)then
						nbrItems = nbrItems + 1;
						nbrItemsDuPerso = nbrItemsDuPerso + 1;
						if(playerCount == false)then
							nbrPlayer = nbrPlayer + 1;
							playerCount = true;
						end
					end
				end
				if((nbrItemsDuPerso % 9) > 0)then
					nbrLines = nbrLines + 1;
				end
				nbrLines = nbrLines + math.floor(nbrItemsDuPerso / 9);
				nbrItemsDuPerso = 0;
				playerCount = false;
			end
		end
	return nbrItems, nbrPlayer, nbrLines;
end
------------------------------------------------------------------------------------------
-- function to return nbrItems, nbrplayer, nbrlines for sharedstorage --
------------------------------------------------------------------------------------------
function ReturnNbrItemsInSharedStorage(textToSearch)
	local nbrItems = 0;
	local nbrPlayer = 0;
	local nbrLines = 0;

		local nbrItemInSharedSrorage = 0;

		for i in pairs(SharedStorageVault) do
				nbrItemInSharedSrorage = nbrItemInSharedSrorage + 1 ;
		end

		if(textToSearch == nil)then
			nbrItems = nbrItemInSharedSrorage;
		else
			for i=1, nbrItemInSharedSrorage do  
				if(string.find(SharedStorageVault[tostring(i)].N, textToSearch) ~= nil)then
					nbrItems = nbrItems + 1;
				end
			end
		end

	nbrLines = nbrLines + math.floor(nbrItemInSharedSrorage / 9);
	if((nbrItemInSharedSrorage % 9) > 0)then
		nbrLines = nbrLines + 1;
	end

	return nbrItems, nbrPlayer, nbrLines;
end
------------------------------------------------------------------------------------------
-- function to return nbrBooks --
------------------------------------------------------------------------------------------
function returnNombreBooks()
	local valToReturn = 0;
	for nam in pairs(PlayerEpique) do
		for pName in pairs(PlayerEpique[nam].volume) do
			valToReturn = valToReturn + 1;
		end
	end

	return valToReturn;
end