------------------------------------------------------------------------------------------
-- GlobalDE file
-- Written by Homeopatix
-- 26 january 2021
------------------------------------------------------------------------------------------
function CreateLocalizationInfo()
	Strings = {};

	------------------------------------------------------------------------------------------
	-- Deutsche --
	------------------------------------------------------------------------------------------
	Strings.PluginName = "AltHolic";
	Strings.PluginText = "Von Homeopatix";
	Strings.PluginEscEnable = "Escape-Taste aktiviert";
	Strings.PluginEscDesable = "Escape-Taste deaktiviert";
	Strings.PluginClear = "L\195\182schen ";
	Strings.PluginClearAll = "L\195\182schen Sie alle Verkn\195\188pfungen";
	------------------------------------------------------------------------------------------
	-- help --
	------------------------------------------------------------------------------------------
	Strings.PluginHelp1 = "\n\nListe der Befehle:\n";
	Strings.PluginHelp2 = "/Alt help - Schaufenster help.\n";
	Strings.PluginHelp3 = "/Alt show - Schaufenster.\n";
	Strings.PluginHelp4 = "/Alt hide - verstecke das Fenster.\n";
	Strings.PluginHelp5 = "/Alt esc - Aktivieren oder deaktivieren Sie die Escape-Taste.\n";
	Strings.PluginHelp6 = "/Alt clear all - L\195\182schen Sie alle Verkn\195\188pfungen.\n";
	Strings.PluginHelp7 = "/Alt clear CharakterName - L\195\182schen CharakterName.\n";
	Strings.PluginCloseButton = "Fenster schlie\195\159en";
	Strings.PluginVaultSaved = "Brust gespeichert";
	Strings.PluginBagSaved = "BackPack gespeichert";
	Strings.PluginSharedStorageSaved = "SharedStockage gespeichert";
	Strings.PluginISeeYou = "Ich Sehe Dich";
	------------------------------------------------------------------------------------------
	-- search --
	------------------------------------------------------------------------------------------
	Strings.PluginSearch = "Suchfenster";
	Strings.PluginSearch1 = "Gefunden : ";
	Strings.PluginSearch2 = "Suche";
	Strings.PluginSearch3 = "Rucksack";
	Strings.PluginSearch4 = "Brust";
	Strings.PluginSearch5 = "Geteiltes Lager";
	Strings.PluginSearch6 = "Objekte";
	Strings.PluginSearch7 = "Brieftasche";
	Strings.PluginSearch8 = "Suche in allen";
	Strings.PluginSearch9 = "Wo soll die Suche durchgef\195\188hrt werden";
	Strings.PluginSearch10 = "Nichts gefunden in ";
	Strings.PluginSearch11 = "mit der Suche : ";
	------------------------------------------------------------------------------------------
	-- epique --
	------------------------------------------------------------------------------------------
	Strings.PluginEpiqueWindow1 = "Epos Buch";
	Strings.PluginAddNewEpique = "Neues Buch hinzuf\195\188gen";
	Strings.PluginAddNewBook = "Neues Buch f\195\188r ";
	Strings.PluginAddNewBookVolume = "Band";
	Strings.PluginAddNewBookLivre = "Buch";
	Strings.PluginAddNewBookChapitre = "Chapter";
	Strings.PluginUpdate = "Aktualisieren";
	Strings.PluginDelete = "L\195\182schen";
	Strings.PluginUpdateTitle = "Buch aktualisieren f\195\188r ";
	Strings.PluginExample1 = "Beispiel : I, II, III oder 1, 2, 3";
	Strings.PluginExample2 = "Beispiel : I, II, III oder 1, 2, 3 oder Prolog";
	Strings.PluginExample3 = "Beispiel : 1, 2, 3 oder VorWort";
	------------------------------------------------------------------------------------------
	-- professions tier --
	------------------------------------------------------------------------------------------
	Strings.PluginProfTier1 = "Lehrling";
	Strings.PluginProfTier2 = "Geselle";
	Strings.PluginProfTier3 = "Experte";
	Strings.PluginProfTier4 = "Virtuose";
	Strings.PluginProfTier5 = "Meister";
	Strings.PluginProfTier6 = "\195\156berragend";
	Strings.PluginProfTier7 = "Westfold";
	Strings.PluginProfTier8 = "Ost-Emnet";
	Strings.PluginProfTier9 = "West-Emnet";
	Strings.PluginProfTier10 = "An\195\182rien";
	Strings.PluginProfTier11 = "Unheilskluft";
	Strings.PluginProfTier12 = "Eisenbruch";
	Strings.PluginProfTier13 = "Minis Ithil";
	Strings.PluginProfTier20 = "Kunsthandwerk";
	Strings.PluginProfTier21 = "Maximales Level";
	------------------------------------------------------------------------------------------
	-- item quality --
	------------------------------------------------------------------------------------------
	Strings.PluginQuality1 = "Verbreitet";
	Strings.PluginQuality2 = "Unvergleichlich";
	Strings.PluginQuality3 = "Legend\195\164r";
	Strings.PluginQuality4 = "Selten";
	Strings.PluginQuality5 = "Ungew\195\182hnlich";
	Strings.PluginQuality6 = "Nicht definiert";
	Strings.PluginDescription = "Beschreibung";
	Strings.PluginQuality = "Qualit\195\164t";
	Strings.PluginDurability = "Haltbarkeit";
	Strings.PluginNoDurability = "Keine Haltbarkeit";
	------------------------------------------------------------------------------------------
	-- help for the search window --
	------------------------------------------------------------------------------------------
	Strings.PluginLabelHelp = "Hilfe anzeigen";
	Strings.PluginHelpWindow1 = "\n\nSie m\195\188ssen mindestens zwei Zeichen eingeben\n\n";
	Strings.PluginHelpWindow2 = "Sie k\195\182nnen eine vollst\195\164ndige Suche durchf\195\188hren, indem Sie Folgendes eingeben **\n\n";
	Strings.PluginHelpWindow3 = "Sie k\195\182nnen eine Suche durchf\195\188hren, indem Sie den Namen eines Objekts eingeben\n\n";
	Strings.PluginHelpWindow4 = "Gro\195\159schreibung am Wortanfang, wenn der Suchname der Name des Objekts ist\n\n";
	Strings.PluginHelpWindow5= "Wenn Sie nicht gro\195\159 schreiben, wird in allen Objekten gesucht\n\n";
	Strings.PluginHelpWindow6 = "Sie k\195\182nnen beispielsweise eine spezielle Suche mit durchf\195\188hren a*\n";
	Strings.PluginHelpWindow7 = "Dadurch wird das gesamte Objekt zur\195\188ckgegeben, das den Buchstaben enth\195\164lt a\n\n";
	Strings.PluginHelpWindow8 = "Klicken Sie auf die Schaltfl\195\164che, in der Sie suchen m\195\182chten\n\n";
	Strings.PluginHelpWindow9 = "Oder klicken Sie auf die letzte Schaltfl\195\164che, um eine vollst\195\164ndige Suche durchzuf\195\188hren\n";
	Strings.PluginButtonHelpWindow = "Hilfe schlie\195\159en";
	Strings.PluginTitreHelpWindow = "Hilfe f\195\188r die Suche";
	-- help for epic book
	Strings.PluginHelpWindow10 = "Sie m\195\188ssen auf das Kreuz klicken, um einen neuen Eintrag vorzunehmen\n\n";
	Strings.PluginHelpWindow11 = "Geben Sie die Bandnummer, die Buchnummer und die Kapitelnummer ein, falls vorhanden\n\n";
	Strings.PluginHelpWindow12 = "Sie k\195\182nnen in r\195\182mischen Ziffern oder mit normalen Zahlen schreiben\n\n";
	Strings.PluginHelpWindow13 = "Schreiben Sie Prolog f\195\188r den Prolog und Vorwort f\195\188r das Vorwort\n\n";
	Strings.PluginHelpWindow14 = "Klicken Sie auf einen Eintrag, um ihn zu bearbeiten oder zu l\195\182schen\n";
	------------------------------------------------------------------------------------------
	-- vault --
	------------------------------------------------------------------------------------------
	Strings.PluginVault1 = "Brust von ";
	Strings.PluginVault2 = "Kofferraum : ";
	Strings.PluginVault3 = "Sie m\195\188ssen Ihren Safe \195\182ffnen, um zu sehen, was sich darin befindet";
	Strings.PluginSharedStorage1 = "Geteiltes Lager";
	Strings.PluginSharedStorage2 = "SharedStorage-Speicherplatz ";
	Strings.PluginSharedStorage3 = "Sie m\195\188ssen Ihren gemeinsam genutzten Bereich \195\182ffnen, um anzuzeigen, was sich darin befindet";
	------------------------------------------------------------------------------------------
	-- equipement --
	------------------------------------------------------------------------------------------
	Strings.PluginEquipement1 = "Ausr\195\188stung von ";
	Strings.PluginEquipement2 = "Ausr\195\188stung fehlt";
	Strings.PluginEquipement3 = "Gegenstandsstufe";
	Strings.PluginEquipement4 = "R\195\188stung";
	Strings.PluginEquipement5 = "Kopf";
	Strings.PluginEquipement6 = "Brust";
	Strings.PluginEquipement7 = "Beine";
	Strings.PluginEquipement8 = "Handschuhe";
	Strings.PluginEquipement9 = "F\195\188sse";
	Strings.PluginEquipement10 = "Schultern";
	Strings.PluginEquipement11 = "R\195\188cken";
	Strings.PluginEquipement12 = "Linkes Armband";
	Strings.PluginEquipement13 = "Rechtes Armband";
	Strings.PluginEquipement14 = "Halskette";
	Strings.PluginEquipement15 = "Linker Ring";
	Strings.PluginEquipement16 = "Rechter Ring";
	Strings.PluginEquipement17 = "Linker Ohrring";
	Strings.PluginEquipement18 = "Rechter Ohrring";
	Strings.PluginEquipement19 = "Beutel";
	Strings.PluginEquipement20 = "Prim\195\164rwaffe";
	Strings.PluginEquipement21 = "Sekund\195\164rwaffe";
	Strings.PluginEquipement22 = "Fernwaffen";
	Strings.PluginEquipement23 = "Handwerkzeug";
	Strings.PluginEquipement24 = "Klassenfeld";
	------------------------------------------------------------------------------------------
	-- cash window --
	------------------------------------------------------------------------------------------
	Strings.PluginCashWindow1 = "Bargeldanzeige f\195\188r alle Zeichen";
	Strings.PluginCashWindow2 = "Totalsumme ";
	Strings.PluginCashWindow3 = "Sitzungsgeld ";
	Strings.PluginCashWindow4 = "Gewonnen ";
	Strings.PluginCashWindow5 = "Verbraucht ";
	Strings.PluginCashWindow6 = "Gesamt ";
	Strings.PluginCashWindow7 = "T\195\164gliches Geld";
	------------------------------------------------------------------------------------------
	-- wallet window --
	------------------------------------------------------------------------------------------
	Strings.PluginWalletWindow1 = "Geteiltes Konto";
	Strings.PluginWalletWindow2 = "Anzahl der Objekte in der Brieftasche";
	Strings.PluginWalletWindow3 = "Brieftasche von ";
	Strings.PluginWalletWindow4 = "Brieftasche noch nicht gespeichert, Bitte verbinden Sie diesen Charakter";
	Strings.PluginWalletWindow5 = "M\195\188nzen LOTRO";
	Strings.PluginWalletWindow6 = "LOTRO Punkte";
	Strings.PluginWalletWindow7 = "Sparen";
	Strings.PluginWalletWindow8 = "M\195\188nzen aktualisieren";
	------------------------------------------------------------------------------------------
	-- backpack --
	------------------------------------------------------------------------------------------
	Strings.PluginBag1 = "Rucksack von ";
	Strings.PluginBag2 = "Rucksack Platz : ";
	------------------------------------------------------------------------------------------
	-- add new --
	------------------------------------------------------------------------------------------
	Strings.PluginAddNew = "Neues Konto hinzuf\195\188gen";
	Strings.PluginAddNew2 = "Neue hinzuf\195\188gen";
	------------------------------------------------------------------------------------------
	-- vocations --
	------------------------------------------------------------------------------------------
	Strings.PluginVocation1 = "EntDecker";
	Strings.PluginVocation2 = "KesselFlicker";
	Strings.PluginVocation3 = "FreiBauer";
	Strings.PluginVocation4 = "Historiker";
	Strings.PluginVocation5 = "WaffenBauer";
	Strings.PluginVocation6 = "WaldH\195\188ter";
	Strings.PluginVocation7 = "R\195\188stungsschmied";
	Strings.PluginVocation8 = "Berufung";
	------------------------------------------------------------------------------------------
	-- race --
	------------------------------------------------------------------------------------------
	Strings.PluginRace1 = "Hobbit";
	Strings.PluginRace2 = "Menschen";
	Strings.PluginRace3 = "Elb";
	Strings.PluginRace4 = "Beorninger";
	Strings.PluginRace5 = "Stark-Axt";
	Strings.PluginRace6 = "Zwerg";
	Strings.PluginRace7 = "Hochelb";
	Strings.PluginRace8 = "Orc";
	Strings.PluginRace9 = "Spider";
	Strings.PluginRace10 = "Uruk";
	Strings.PluginRace11 = "Warg";
	------------------------------------------------------------------------------------------
	-- classe --
	------------------------------------------------------------------------------------------
	Strings.PluginClasse1 = "J\195\164ger";
	Strings.PluginClasse2 = "Barde";
	Strings.PluginClasse3 = "Beorninger";
	Strings.PluginClasse4 = "Hauptmann";
	Strings.PluginClasse5 = "Runenbewharer";
	Strings.PluginClasse6 = "Shurke";
	Strings.PluginClasse7 = "Kundinger";
	Strings.PluginClasse8 = "W\195\164chter";
	Strings.PluginClasse9 = "Waffenmeister";
	Strings.PluginClasse10 = "H\195\188ter";
	Strings.PluginClasse11 = "Schnitter";
	Strings.PluginClasse12 = "Saboteur";
	Strings.PluginClasse13 = "Weberspinne";
	Strings.PluginClasse14 = "Schwarzpfeil";
	Strings.PluginClasse15 = "Kreigsanf\195\188hrer";
	Strings.PluginClasse16 = "Pirscher";
	------------------------------------------------------------------------------------------
	-- stats window --
	------------------------------------------------------------------------------------------
	Strings.PluginStats = "Charakteristisch";
	Strings.PluginStats1 = "Macht";
	Strings.PluginStats2 = "Beweglichkeit";
	Strings.PluginStats3 = "Vitalit\195\164t";
	Strings.PluginStats4 = "Wille";
	Strings.PluginStats5 = "Schicksal";
	Strings.PluginStats6 = "Niveau";
	Strings.PluginStats7 = "Rennen";
	Strings.PluginStats8 = "Klasse";
	Strings.PluginStats9 = "Sex";
	Strings.PluginStats10 = "Zeichen noch nicht gespeichert, bitte verbinden Sie dieses Zeichen";
	Strings.PluginStats11 = "Statistiken";
	Strings.PluginStats12 = "Angriff";
	Strings.PluginStats13 = "Kritischer Treffer";
	Strings.PluginStats14 = "Finesse";
	Strings.PluginStats15 = "Physische Beherrschung";
	Strings.PluginStats16 = "Taktische Beherrschung";
	Strings.PluginStats17 = "Schadensreduierungen";
	Strings.PluginStats18 = "Verteidigung";
	Strings.PluginStats19 = "Resistenz";
	Strings.PluginStats20 = "Entgehen";
	Strings.PluginStats21 = "Blocken";
	Strings.PluginStats22 = "Parieren";
	Strings.PluginStats23 = "Ausweichen";
	Strings.PluginStats24 = "Heilung";
	Strings.PluginStats25 = "Heilung Gegeben";
	Strings.PluginStats26 = "Heilung Empfangene";
	Strings.PluginStats27 = "Physische";
	Strings.PluginStats28 = "Taktische";
	Strings.PluginStats29 = "Kritische Verteidigung";
	Strings.PluginStats30 = "Teilweise";
	Strings.PluginStats31 = "Fernkampf Beherrschung";
	Strings.PluginStats32 = "Ork-handwerk";
	Strings.PluginStats33 = "Fiel-gewirkt";
	Strings.PluginStats34 = "Verheerende Bewertung";
	Strings.PluginStats35 = "Gelb - capped";
	Strings.PluginStats36 = "Orange - T2 capped";
	Strings.PluginStats37 = "Rot - neu T2 capped";
	Strings.PluginStats38 = "Lila - neu T3-5 capped";
	------------------------------------------------------------------------------------------
	-- gendre window --
	------------------------------------------------------------------------------------------
	Strings.PluginGendreText = "Definieren Sie das Geschlecht";
	Strings.PluginGendreText1 = "Mann";
	Strings.PluginGendreText2 = "Frau";
	------------------------------------------------------------------------------------------
	-- option window --
	------------------------------------------------------------------------------------------
	Strings.PluginOptionsText = "AltHolic Optionen";
	Strings.PluginOption1 = "Zeigen Sie die \195\132nderungen zum Laden und Speichern an";
	Strings.PluginOption2 = " Benachrichtigungen anzeigen";
	Strings.PluginOption3 = "Bargeld session anzeigen";
	Strings.PluginOption4 = " Anzeige";
	Strings.PluginOption5 = "Klassentaschen zeigen";
	Strings.PluginOption6 = "Geschlecht definieren";
	Strings.PluginOption7 = "\195\132ndern Sie die Hintergrundfarbe f\195\188r die Haltbarkeit des Ger\195\164ts";
	Strings.PluginOptionValidate = "\195\132nderungen validieren";
	Strings.PluginOptionShowWindow = "Zeigen Sie das Optionsfenster an";
	Strings.PluginOptionNotificationsDeactivated = "Benachrichtigungen deaktiviert";
	Strings.PluginOptionNotificationsActivated = "Benachrichtigungen aktiviert";
	Strings.PluginOptionSpentCashActivated = "Die Anzeige f\195\188r ausgegebenes Geld ist deaktiviert";
	Strings.PluginOptionSpentCashDeactivated = "Anzeige f\195\188r ausgegebenes Geld aktiviert";
end