------------------------------------------------------------------------------------------
-- OptionWindow file
-- Written by Homeopatix
-- 26 january 2021
------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------
-- define size of the window
------------------------------------------------------------------------------------------
local windowWidth = 0;
local windowHeight = 0;

windowWidth = 400;
windowHeight = 550;
------------------------------------------------------------------------------------------
-- create the options window
------------------------------------------------------------------------------------------
function GenerateOptionsWindow()
		OptionsWindow=Turbine.UI.Lotro.GoldWindow(); 
		OptionsWindow:SetSize(windowWidth, windowHeight); 
		OptionsWindow:SetText(Strings.PluginOptionsText); 

		OptionsWindow.Message=Turbine.UI.Label(); 
		OptionsWindow.Message:SetParent(OptionsWindow); 
		OptionsWindow.Message:SetSize(150,10); 
		OptionsWindow.Message:SetPosition(windowWidth/2 - 75, windowHeight - 17 ); 
		OptionsWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
		OptionsWindow.Message:SetText(Strings.PluginText); 

		OptionsWindow:SetZOrder(0);
		OptionsWindow:SetWantsKeyEvents(true);

		OptionsWindow:SetPosition((Turbine.UI.Display:GetWidth()-OptionsWindow:GetWidth())/2,(Turbine.UI.Display:GetHeight()-OptionsWindow:GetHeight())/2);

		OptionsWindow:SetVisible(false);
		------------------------------------------------------------------------------------------
		-- option panel --
		------------------------------------------------------------------------------------------

		OptionsWindow.Message=Turbine.UI.Label(); 
			OptionsWindow.Message:SetParent(OptionsWindow); 
			OptionsWindow.Message:SetSize(300, 40); 
			OptionsWindow.Message:SetPosition(windowWidth/2 - 150, windowHeight/2 - 180 ); 
			OptionsWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
			OptionsWindow.Message:SetFont(Turbine.UI.Lotro.Font.Verdana16);
			OptionsWindow.Message:SetText(Strings.PluginOption1); 


			checkBoxKeep = Turbine.UI.Lotro.CheckBox();
			checkBoxKeep:SetParent( OptionsWindow );
			checkBoxKeep:SetSize(250, 40); 
			checkBoxKeep:SetFont(Turbine.UI.Lotro.Font.Verdana16);
			checkBoxKeep:SetText(Strings.PluginOption2);
			checkBoxKeep:SetPosition(windowWidth/2 - 75, windowHeight/2 - 150);
			checkBoxKeep:SetVisible(true);
			if(settings["verbose"]["value"] == true)then
				checkBoxKeep:SetChecked(true);
			else
				checkBoxKeep:SetChecked(false);
			end
			checkBoxKeep:SetForeColor( Turbine.UI.Color( 0.7, 0.6, 0.2 ));

			-- spentcash
			OptionsWindow.Message=Turbine.UI.Label(); 
			OptionsWindow.Message:SetParent(OptionsWindow); 
			OptionsWindow.Message:SetSize(300, 40); 
			OptionsWindow.Message:SetPosition(windowWidth/2 - 150, windowHeight/2 - 110); 
			OptionsWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
			OptionsWindow.Message:SetFont(Turbine.UI.Lotro.Font.Verdana16);
			OptionsWindow.Message:SetText(Strings.PluginOption3); 


			checkBoxSpent = Turbine.UI.Lotro.CheckBox();
			checkBoxSpent:SetParent( OptionsWindow );
			checkBoxSpent:SetSize(250, 40); 
			checkBoxSpent:SetFont(Turbine.UI.Lotro.Font.Verdana16);
			checkBoxSpent:SetText(Strings.PluginOption4);
			checkBoxSpent:SetPosition(windowWidth/2 - 35, windowHeight/2 - 75);
			checkBoxSpent:SetVisible(true);
			if(settings["displaySpentCash"]["value"] == true)then
				checkBoxSpent:SetChecked(true);
			else
				checkBoxSpent:SetChecked(false);
			end
			checkBoxSpent:SetForeColor( Turbine.UI.Color( 0.7, 0.6, 0.2 ));

			-- class bags
			OptionsWindow.Message=Turbine.UI.Label(); 
			OptionsWindow.Message:SetParent(OptionsWindow); 
			OptionsWindow.Message:SetSize(300, 40); 
			OptionsWindow.Message:SetPosition(windowWidth/2 - 150, windowHeight/2 - 35); 
			OptionsWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
			OptionsWindow.Message:SetFont(Turbine.UI.Lotro.Font.Verdana16);
			OptionsWindow.Message:SetText(Strings.PluginOption5); 


			checkBoxClassBag = Turbine.UI.Lotro.CheckBox();
			checkBoxClassBag:SetParent( OptionsWindow );
			checkBoxClassBag:SetSize(250, 40); 
			checkBoxClassBag:SetFont(Turbine.UI.Lotro.Font.Verdana16);
			checkBoxClassBag:SetText(Strings.PluginOption4);
			checkBoxClassBag:SetPosition(windowWidth/2 - 35, windowHeight/2 );
			checkBoxClassBag:SetVisible(true);
			if(settings["displayClassBags"]["value"] == true)then
				checkBoxClassBag:SetChecked(true);
			else
				checkBoxClassBag:SetChecked(false);
			end
			checkBoxClassBag:SetForeColor( Turbine.UI.Color( 0.7, 0.6, 0.2 ));


			-- durability color
			OptionsWindow.Message=Turbine.UI.Label(); 
			OptionsWindow.Message:SetParent(OptionsWindow); 
			OptionsWindow.Message:SetSize(300, 40); 
			OptionsWindow.Message:SetPosition(windowWidth/2 - 150, windowHeight/2 + 45); 
			OptionsWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
			OptionsWindow.Message:SetFont(Turbine.UI.Lotro.Font.Verdana16);
			OptionsWindow.Message:SetText(Strings.PluginOption7); 


			checkBoxClassDUColor = Turbine.UI.Lotro.CheckBox();
			checkBoxClassDUColor:SetParent( OptionsWindow );
			checkBoxClassDUColor:SetSize(250, 40); 
			checkBoxClassDUColor:SetFont(Turbine.UI.Lotro.Font.Verdana16);
			checkBoxClassDUColor:SetText(Strings.PluginOption4);
			checkBoxClassDUColor:SetPosition(windowWidth/2 - 35, windowHeight/2 + 80);
			checkBoxClassDUColor:SetVisible(true);
			if(settings["displayDurabilityColor"]["value"] == true)then
				checkBoxClassDUColor:SetChecked(true);
			else
				checkBoxClassDUColor:SetChecked(false);
			end
			checkBoxClassDUColor:SetForeColor( Turbine.UI.Color( 0.7, 0.6, 0.2 ));



			if(settings["nameAccount"]["account1"]["nbrAlt"] >= 1)then
				buttonDefineGendre = Turbine.UI.Lotro.GoldButton();
				buttonDefineGendre:SetParent( OptionsWindow );
				buttonDefineGendre:SetPosition(windowWidth/2 - 125,  windowHeight - 80);
				buttonDefineGendre:SetSize( 300, 20 );
				buttonDefineGendre:SetFont(Turbine.UI.Lotro.Font.Verdana16);
				buttonDefineGendre:SetText( Strings.PluginOption6 );
				buttonDefineGendre:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
				buttonDefineGendre:SetVisible(true);
				buttonDefineGendre:SetMouseVisible(true);
			end




			buttonValider = Turbine.UI.Lotro.GoldButton();
			buttonValider:SetParent( OptionsWindow );
			buttonValider:SetPosition(windowWidth/2 - 125,  windowHeight - 50);
			buttonValider:SetSize( 300, 20 );
			buttonValider:SetFont(Turbine.UI.Lotro.Font.Verdana16);
			buttonValider:SetText( Strings.PluginOptionValidate );
			buttonValider:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
			buttonValider:SetVisible(true);
			buttonValider:SetMouseVisible(true);


		ValidateChangesOptions();
		if(settings["nameAccount"]["account1"]["nbrAlt"] >= 1)then
			OpenChangesGendre();
		end
		ClosingTheWindowOptions();

		OptionsWindow.KeyDown=function(sender, args)
		if ( args.Action == Turbine.UI.Lotro.Action.Escape ) then
			OptionsWindow:SetVisible(false);
			settings["isOptionsWindowVisible"]["isOptionsWindowVisible"] = false;
		end
	
		-- https://www.lotro.com/forums/showthread.php?493466-How-to-hide-a-window-on-F12&p=6581962#post6581962
		if ( args.Action == 268435635 ) then
			hudVisible=not hudVisible;
			if hudVisible then
				OptionsWindow:SetVisible(false);
				MainMinimizedIcon:SetVisible(false);
			else
				OptionsWindow:SetVisible(settings.isOptionsWindowVisible);
				MainMinimizedIcon:SetVisible(true);
			end
		end
	end
end
------------------------------------------------------------------------------------------
-- boutton valider
------------------------------------------------------------------------------------------
function ValidateChangesOptions()
	buttonValider.MouseClick = function(sender, args)
			if (checkBoxKeep:IsChecked()) then
				settings["verbose"]["value"] = true;
			else
				settings["verbose"]["value"] = false;
			end

			if (checkBoxSpent:IsChecked()) then
				settings["displaySpentCash"]["value"] = true;
			else
				settings["displaySpentCash"]["value"] = false;
			end

			if (checkBoxClassBag:IsChecked()) then
				settings["displayClassBags"]["value"] = true;
			else
				settings["displayClassBags"]["value"] = false;
			end

			if (checkBoxClassDUColor:IsChecked()) then
				settings["displayDurabilityColor"]["value"] = true;
			else
				settings["displayDurabilityColor"]["value"] = false;
			end

			if(settings["verbose"]["value"] == true)then
				Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. " - " .. Strings.PluginOptionNotificationsActivated);
				if(settings["displaySpentCash"]["value"] == true)then
					Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. " - " .. Strings.PluginOptionSpentCashActivated);
				else
					Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. " - " .. Strings.PluginOptionSpentCashDeactivated);
				end
			else
				Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. " - " .. Strings.PluginOptionNotificationsDeactivated);
			end

			OptionsWindow:SetVisible(false);
			settings["isOptionsWindowVisible"]["isOptionsWindowVisible"] = false;
			SavePlayerDatas();
			UpdateMainWindow();
			settings["isWindowVisible"]["isWindowVisible"] = true;
			AltHolicWindow:SetVisible(true);
		end
end

function OpenChangesGendre()
	buttonDefineGendre.MouseClick = function(sender, args)
		GenerateGendreWindow();
		GendreWindow:SetVisible(true);
	end
end